/*
 * AsociacionesAction.java		10-ago-2005
 */
package codetic.actions;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena todos los objetos necesarios para visualizar
 * un listado de los asociaciones, que pueden mostrarse ordenadas
 * alfabéticamente o geográficamente.
 *
 * @author Miguel Angel Serna Mata
 */
public class AsociacionesAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AsociacionBO asociacionBO = null;
		Collection lista = null;
		Map map = null;
		TraduccionAmbitoBO tradAmbitoBO = null;
		String orden = null;
		HttpSession  session = null;
		Locale locale = null;

	    // Recuperar el parámetro orden
	    orden = request.getParameter(Ctes.ORDEN);
		    
	    // Si orden es null, ordenar alfabéticamente
	    if (orden == null)
	        orden = Ctes.ALFABETICO;
	    
	    // Guardar el bean "parametros"
	    request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ORDEN + "=" + orden));
		    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
			
		if (orden.equals(Ctes.ALFABETICO)) {
		    // Lista de asociaciones
			asociacionBO = new AsociacionBO(ds);
			lista =  asociacionBO.listaAsociaciones();
			request.setAttribute(Ctes.LISTA_ASOCIACIONES, lista);
		}
			
		if (orden.equals(Ctes.GEOGRAFICO)) {
		    // Crear el BO
			tradAmbitoBO = new TraduccionAmbitoBO(ds);
			// Recuperar el locale de la sesión
			session = request.getSession( );
	        locale = getLocale(request);
	        // Recuperar el map
			map = tradAmbitoBO.mapTraduccionesAmbitosYAsociaciones(locale.getLanguage());
			request.setAttribute(Ctes.MAP_TRADUCCIONES_AMBITOS_Y_ASOCIACIONES, map);
		}

		return mapping.findForward(Ctes.EXITO);
}

}

