/*
 * BusquedaAction.java		13-ago-2005
 */
package codetic.actions;

import java.util.*;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.commons.beanutils.*;
import org.apache.struts.action.*;
import org.apache.struts.validator.DynaValidatorForm;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;

/**
 * Action que almacena todos los objetos necesarios para visualizar
 * la página de búsqueda simple.
 *
 * @author Miguel Angel Serna Mata
 */
public class BusquedaAction extends Action{

		public ActionForward execute(ActionMapping mapping,
		          ActionForm form,
		          HttpServletRequest request,
		          HttpServletResponse response)
		          throws Exception {
			
		    ActionMessages messages = new ActionMessages();
			DataSource ds = null;
			BusquedaDTO busqueda = null;
			BusquedaBO busquedaBO = null;
			Collection resultados = null;
			String tipoBusqueda = null;
			Map dynaMap = null;
			
			// Recuperar el parámetro tipoBusqueda
		    tipoBusqueda = request.getParameter(Ctes.TIPO_BUSQUEDA);
		    
			// Validar
			messages = form.validate(mapping, request);
			if (messages.size() > 0) {
                // Resetear el formulario
		        DynaValidatorForm dynaForm = (DynaValidatorForm) form;
		        dynaMap = dynaForm.getMap();
		        dynaMap.remove(Ctes.ASOCIACIONES);
	  	        
			    saveErrors(request,messages);
			    return mapping.findForward(tipoBusqueda);
			}
			
		    // Recuperar los datos de la búsqueda
			busqueda = new BusquedaDTO();
			BeanUtils.copyProperties(busqueda,form);
			    
		    // Guardar el bean "parametros"
		    request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.PALABRAS + "=" + busqueda.getPalabras())
		            + "&" + Ctes.IDIOMAS + "=" + busqueda.getIdiomas());
				
			// Obtener el DataSource
			ds = getDataSource(request,Ctes.DATA_SOURCE);
				
			// Buscar artículos
			busquedaBO = new BusquedaBO(ds);
			resultados =  busquedaBO.buscarArticulos(busqueda);
			request.setAttribute(Ctes.RESULTADOS,resultados);

			return mapping.findForward(Ctes.EXITO);
		}
}

