/*
 * BusquedaAvanzadaAction.java		10-ago-2005
 */
package codetic.actions;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena todos los objetos necesarios para visualizar
 * la página de búsqueda avanzada.
 *
 * @author Miguel Angel Serna Mata
 */
public class BusquedaAvanzadaAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		IdiomaBO idiomaBO = null;
		Collection lista = null;
		Map map = null;
		TraduccionAmbitoBO tradAmbitoBO = null;
		HttpSession  session = null;
		Locale locale = null;
		TraduccionGrupoDeTemasBO tradGrupoDeTemasBO = null;
		
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
			
		// Recuperar el locale de la sesión
		session = request.getSession( );
        locale = getLocale(request);
	        
		// Recuperar la lista de idiomas
		// -----------------------------
		idiomaBO = new IdiomaBO(ds);
		lista = idiomaBO.listaIdiomas();
		request.setAttribute(Ctes.LISTA_IDIOMAS, lista);
	        
		// Recuperar el map (tradAmbito,{asociaciones})
		// ----------------------------------------
		// Crear el BO
		tradAmbitoBO = new TraduccionAmbitoBO(ds);
        // Recuperar el map
		map = tradAmbitoBO.mapTraduccionesAmbitosYAsociaciones(locale.getLanguage());
		request.setAttribute(Ctes.MAP_TRADUCCIONES_AMBITOS_Y_ASOCIACIONES, map);
			
		// Recuperar el map (tradGrupo,{tradTemas})
		// ----------------------------------------
		// Crear el BO
		tradGrupoDeTemasBO = new TraduccionGrupoDeTemasBO(ds);
        // Recuperar el map
		map = tradGrupoDeTemasBO.mapTraduccionesGruposYTraduccionesTemas(locale.getLanguage());
		request.setAttribute(Ctes.MAP_TRADUCCIONES_GRUPOS_Y_TRADUCCIONES_TEMAS, map);

		return mapping.findForward(Ctes.EXITO);
}

}

