/*
 * InfoAsociacionAction.java		10-ago-2005
 */
package codetic.actions;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.dto.*;
import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena todos los objetos necesarios para visualizar
 * toda la información (descripción, códigos éticos, etc.) de una
 * asociación.
 *
 * @author Miguel Angel Serna Mata
 */
public class InfoAsociacionAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		TraduccionAsociacionBO tradAsociacionBO = null;
		TraduccionAsociacionDTO tradAsociacion = null;
		Map map = null;
		CodigoBO codigoBO = null;
		String idAsociacion = null;
		HttpSession  session = null;
		Locale locale = null;
		
	    // Recuperar el parámetro orden
	    idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
		    
	    // Guardar el bean "parametros"
	    request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion));
			
	    // Recuperar el locale de la sesión
		session = request.getSession( );
        locale = getLocale(request);
	        
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
	        
		// Recuperar asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion =  asociacionBO.recuperarAsociacion(idAsociacion);
		request.setAttribute(Ctes.ASOCIACION,asociacion);
			
		// Recuperar traducción de asociación
		tradAsociacionBO = new TraduccionAsociacionBO(ds);
		tradAsociacion =  tradAsociacionBO.recuperarTraduccionAsociacion(locale.getLanguage(),idAsociacion);
		request.setAttribute(Ctes.TRADUCCION_ASOCIACION,tradAsociacion);
			
		// Recuperar el map (codigo,tradsCodigo)
		codigoBO = new CodigoBO(ds);
		map = codigoBO.mapCodigosYTraduccionesCodigos(idAsociacion);
		request.setAttribute(Ctes.MAP_CODIGOS_Y_TRADUCCIONES_CODIGOS,map);

		return mapping.findForward(Ctes.EXITO);
}

}

