/*
 * InfoTemasAction.java		10-ago-2005
 */
package codetic.actions;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena todos los objetos necesarios para visualizar
 * un listado de los temas, ordenados por grupo, mostrando las descripciones
 * y las palabras clave.
 *
 * @author Miguel Angel Serna Mata
 */
public class InfoTemasAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
	    ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		Map map = null;
		HttpSession  session = null;
		Locale locale = null;
		TraduccionGrupoDeTemasBO tradGrupoDeTemasBO = null;
		
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
			
		// Recuperar el locale de la sesión
		session = request.getSession( );
        locale = getLocale(request);
	        
	    // Recuperar el map (tradGrupo,{tradTemas})
		// ----------------------------------------
		// Crear el BO
		tradGrupoDeTemasBO = new TraduccionGrupoDeTemasBO(ds);
        // Recuperar el map
		map = tradGrupoDeTemasBO.mapTraduccionesGruposYTraduccionesTemas(locale.getLanguage());
		request.setAttribute(Ctes.MAP_TRADUCCIONES_GRUPOS_Y_TRADUCCIONES_TEMAS, map);

		return mapping.findForward(Ctes.EXITO);
}

}

