/*
 * LogoutAction.java		03-ago-2005
 */
package codetic.actions;

import codetic.utils.*;

import java.util.Locale;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.servlet.jsp.jstl.core.Config;

import org.apache.struts.Globals;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;


/**
 * Action que cierra la sesión del usuario, sin perder la configuración
 * del idioma.
 *
 * @author Miguel Angel Serna Mata
 */
public class LogoutAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
				
		HttpSession session = request.getSession(false);
		if (session != null) {
            // recuperamos el locale
	        Locale locale = (Locale)session.getAttribute(Globals.LOCALE_KEY);
	        // invalidamos la sesi�n
		    session.invalidate();
		    // volvemos a crear una sesi�n
		    session = request.getSession(true);
		    // restauramos el Struts locale
		    session.setAttribute(Globals.LOCALE_KEY, locale);
	        // restauramos el JSTL locale
	        Config.set(session, Config.FMT_LOCALE, locale);
		}

		return mapping.findForward(Ctes.EXITO);
}

}
