/*
 * VerArticuloAction.java		10-ago-2005
 */
package codetic.actions;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.dto.*;
import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena todos los objetos necesarios para visualizar
 * un artículo de un código ético.
 *
 * @author Miguel Angel Serna Mata
 */
public class VerArticuloAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		String idCodigo = null;
		String nivel = null;
		String idIdioma = null;
		DataSource ds = null;
		CodigoBO codigoBO = null;
		CodigoDTO codigo = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		TraduccionCodigoBO tradCodigoBO = null;
		TraduccionCodigoDTO tradCodigo = null;
		TraduccionSeccionBO tradSeccionBO = null;
		TraduccionSeccionDTO tradSeccion = null;
		Collection tradsSecciones = null;
		
	    // Recuperar los parámetros
	    idCodigo = request.getParameter(Ctes.ID_CODIGO);
	    nivel = request.getParameter(Ctes.NIVEL);
	    idIdioma = request.getParameter(Ctes.ID_IDIOMA);
		    
	    // Guardar el bean "parametros"
	    request.setAttribute("parametros",new String("&" + Ctes.ID_CODIGO + "=" + idCodigo
	            + "&" + Ctes.ID_IDIOMA + "=" + idIdioma
	            + "&" + Ctes.NIVEL + "=" + nivel));
		    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
			
		// Recuperar código
		codigoBO = new CodigoBO(ds);
		codigo =  codigoBO.recuperarCodigo(idCodigo);
		request.setAttribute(Ctes.CODIGO,codigo);
			
		// Recuperar asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion =  asociacionBO.recuperarAsociacion(String.valueOf(codigo.getIdAsociacion()));
		request.setAttribute(Ctes.ASOCIACION,asociacion);
			
		// Recuperar traducción de código
		tradCodigoBO = new TraduccionCodigoBO(ds);
		tradCodigo =  tradCodigoBO.recuperarTraduccionCodigo(idIdioma,idCodigo);
		request.setAttribute(Ctes.TRADUCCION_CODIGO,tradCodigo);
			
		// Recuperar traduccion de seccion
		tradSeccionBO = new TraduccionSeccionBO(ds);
		tradSeccion = tradSeccionBO.recuperarTraduccionSeccion(idIdioma,idCodigo,nivel);
		request.setAttribute(Ctes.TRADUCCION_SECCION,tradSeccion);

		return mapping.findForward(Ctes.EXITO);
}

}

