/*
 * VerCodigoAction.java		10-ago-2005
 */
package codetic.actions;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.dto.*;
import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena todos los objetos necesarios para visualizar
 * un código ético.
 *
 * @author Miguel Angel Serna Mata
 */
public class VerCodigoAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		String idCodigo = null;
		String idIdioma = null;
		DataSource ds = null;
		CodigoBO codigoBO = null;
		CodigoDTO codigo = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		TraduccionCodigoBO tradCodigoBO = null;
		TraduccionCodigoDTO tradCodigo = null;
		TraduccionSeccionBO tradSeccionBO = null;
		Collection tradsSecciones = null;
		Collection tradsCodigo = null;
		
		// Recuperar los parámetros
		idCodigo = request.getParameter(Ctes.ID_CODIGO);
		idIdioma = request.getParameter(Ctes.ID_IDIOMA);
		    
		// Guardar el bean "parametros"
		request.setAttribute("parametros",new String("&" + Ctes.ID_CODIGO + "=" + idCodigo
	            + "&" + Ctes.ID_IDIOMA + "=" + idIdioma));
		    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
			
		// Recuperar código
		codigoBO = new CodigoBO(ds);
		codigo =  codigoBO.recuperarCodigo(idCodigo);
		request.setAttribute(Ctes.CODIGO,codigo);
			
		// Recuperar asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion =  asociacionBO.recuperarAsociacion(String.valueOf(codigo.getIdAsociacion()));
		request.setAttribute(Ctes.ASOCIACION,asociacion);
			
		// Recuperar traducción de código
		tradCodigoBO = new TraduccionCodigoBO(ds);
		tradCodigo =  tradCodigoBO.recuperarTraduccionCodigo(idIdioma,idCodigo);
		request.setAttribute(Ctes.TRADUCCION_CODIGO,tradCodigo);
			
		// Recuperar traducciones de secciones
		tradSeccionBO = new TraduccionSeccionBO(ds);
		tradsSecciones = tradSeccionBO.listaSeccionesTraducidas(idIdioma,idCodigo);
		request.setAttribute(Ctes.LISTA_SECCIONES_TRADUCIDAS,tradsSecciones);
		
		// Recuperar traducciones de secciones del índice
		tradsSecciones = tradSeccionBO.listaSeccionesTraducidasDelIndice(idIdioma,idCodigo);
		request.setAttribute(Ctes.LISTA_SECCIONES_TRADUCIDAS_DEL_INDICE,tradsSecciones);
			
		// Recuperar lista traducciones código
		tradCodigoBO = new TraduccionCodigoBO(ds);
		tradsCodigo = tradCodigoBO.listaTraduccionesCodigo(idCodigo);
		request.setAttribute(Ctes.LISTA_TRADUCCIONES_CODIGO,tradsCodigo);

		return mapping.findForward(Ctes.EXITO);
}

}

