/*
 * CrearAction.java		13-ago-2005
 */
package codetic.actions.admon.ambitos.traducciones;

import java.util.*;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.commons.beanutils.*;
import org.apache.struts.action.*;
import org.apache.struts.actions.*;
import org.apache.struts.validator.*;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;

/**
 * Action que crea una nueva traducción de un ambito en
 * la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class CrearAction extends LookupDispatchAction{
		
		protected Map getKeyMethodMap() {
		      Map map = new HashMap();
		      map.put("forms.botones.aceptar", "aceptar");
		      map.put("forms.botones.continuar", "continuar");
		      map.put("forms.botones.cancelar", "cancelar");
		      return map;
		}

		public ActionForward aceptar(ActionMapping mapping,
		          ActionForm form,
		          HttpServletRequest request,
		          HttpServletResponse response)
		          throws Exception {
			
		    ActionMessages messages = new ActionMessages();
			DataSource ds = null;
			TraduccionAmbitoDTO tradAmbito = null;
			TraduccionAmbitoBO tradAmbitoBO = null;
			String idAmbito = null;
			
			// Validar
			messages = form.validate(mapping, request);
			if (messages.size() > 0) {
			    saveErrors(request,messages);
			    return new ActionForward(mapping.getInput());
			}
			
			// Crear la traducción del ámbito a partir de la 
			// información del formulario
		    tradAmbito = new TraduccionAmbitoDTO();
			BeanUtils.copyProperties(tradAmbito,form);
			
			// Obtener el DataSource
			ds = getDataSource(request,Ctes.DATA_SOURCE);
			
			// Crear la traducción del ámbito
			tradAmbitoBO = new TraduccionAmbitoBO(ds);
			tradAmbitoBO.crearTraduccionAmbito(tradAmbito);

			return mapping.findForward(Ctes.FIN);
		  }

		  public ActionForward continuar(ActionMapping mapping,
		          ActionForm form,
		          HttpServletRequest request,
		          HttpServletResponse response)
		          throws Exception {
		      
		      	ActionMessages messages = new ActionMessages();
				DataSource ds = null;
				TraduccionAmbitoDTO tradAmbito = null;
				TraduccionAmbitoBO tradAmbitoBO = null;
				
				// Validar
				messages = form.validate(mapping, request);
				if (messages.size() > 0) {
				    saveErrors(request,messages);
				    return new ActionForward(mapping.getInput());
				}
				
				// Crear la traducción del ámbito a partir de la 
				// información del formulario
			    tradAmbito = new TraduccionAmbitoDTO();
				BeanUtils.copyProperties(tradAmbito,form);
				
				// Obtener el DataSource
				ds = getDataSource(request,Ctes.DATA_SOURCE);
				
				// Crear la traducción del ámbito
				tradAmbitoBO = new TraduccionAmbitoBO(ds);
				tradAmbitoBO.crearTraduccionAmbito(tradAmbito);
					
				// Resetear el formulario
		        DynaValidatorForm dynaForm = (DynaValidatorForm) form;
	  	        dynaForm.getMap().clear();

				return mapping.findForward(Ctes.CONTINUAR);
		  }

		  public ActionForward cancelar(ActionMapping mapping,
		          ActionForm form,
		          HttpServletRequest request,
		          HttpServletResponse response)
		          throws Exception {
		      
		        // Resetear el formulario
		        DynaValidatorForm dynaForm = (DynaValidatorForm) form;
	  	        dynaForm.getMap().clear();
		      
		        return mapping.findForward(Ctes.FIN);
		  }

}

