/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.ambitos.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena todos los objetos necesarios para poder
 * editar una traducción de un ámbito. 
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionAmbitoBO tradAmbitoBO = null;
		TraduccionAmbitoDTO tradAmbito = null;
		String idAmbito = null; 
		String idIdioma = null;
		AmbitoBO ambitoBO = null;
		AmbitoDTO ambito = null;
		
		// Bean "parametros"
	    idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    idAmbito = request.getParameter(Ctes.ID_AMBITO);
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_AMBITO + "=" + idAmbito
		        + "&" + Ctes.ID_IDIOMA + "=" + idIdioma));
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la traducción del ámbito
		tradAmbitoBO = new TraduccionAmbitoBO(ds);
		tradAmbito = tradAmbitoBO.recuperarTraduccionAmbito(idIdioma,idAmbito);
		request.setAttribute(Ctes.TRADUCCION_AMBITO,tradAmbito);
			
		// Recuperar el ámbito
		ambitoBO = new AmbitoBO(ds);
		ambito = ambitoBO.recuperarAmbito(idAmbito);
		request.setAttribute(Ctes.AMBITO,ambito);

		return mapping.findForward(Ctes.EXITO);
}

}

