/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.ambitos.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena en el ámbito 'request' una colección con todas las traducciones del
 * ámbito que le ha sido pasado como parámetro.
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionAmbitoBO tradAmbitoBO = null;
		Collection lista = null;
		String idAmbito;
		AmbitoBO ambitoBO = null;
		AmbitoDTO ambito = null;
		
	    // Recuperar ámbito 
	    idAmbito = request.getParameter(Ctes.ID_AMBITO);
		    
	    // Guardar el bean "parametros"
	    request.setAttribute("parametros",new String("&idAmbito=" + idAmbito));

	    // Obtener el DataSource
	    ds = getDataSource(request,Ctes.DATA_SOURCE);
	    
	    // Recuperar el ámbito
	    ambitoBO = new AmbitoBO(ds);
		ambito = ambitoBO.recuperarAmbito(idAmbito);
		request.setAttribute(Ctes.AMBITO,ambito);
		
		// Recuperar traducciones del ámbito
		tradAmbitoBO = new TraduccionAmbitoBO(ds);
		lista = tradAmbitoBO.listaTraduccionesAmbito(idAmbito);
		request.setAttribute(Ctes.LISTA_TRADUCCIONES_AMBITO,lista);

		return mapping.findForward(Ctes.EXITO);
}

}

