/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.ambitos.traducciones;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;


/**
 * Action que almacena todos los objetos necesarios para poder
 * crear una nueva traducción de un ámbito.
 * 
 * @author Miguel Angel Serna Mata
 */
public class NuevoAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		IdiomaBO idiomaBO = null;
		Collection lista = null;
		String idAmbito = null;
		AmbitoBO ambitoBO = null;
		AmbitoDTO ambito = null;
		
		// Bean "parametros"
		idAmbito = request.getParameter(Ctes.ID_AMBITO);
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_AMBITO + "=" + idAmbito));

		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		idiomaBO = new IdiomaBO(ds);
		
		// Recuperar la lista de idiomas
		lista = idiomaBO.listaIdiomas();
		request.setAttribute(Ctes.LISTA_IDIOMAS,lista);
			
		// Recuperar el ámbito
		ambitoBO = new AmbitoBO(ds);
		ambito = ambitoBO.recuperarAmbito(idAmbito);
		request.setAttribute(Ctes.AMBITO,ambito);

		return mapping.findForward(Ctes.EXITO);
}

}

