/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.asociaciones;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena todos los objetos necesarios para poder
 * editar una asociación. 
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AsociacionBO asociacionBO = null;
		String idAsociacion = null; 
		AsociacionDTO asociacion = null;
		Collection lista = null;
		AmbitoBO ambitoBO = null;

		// Recuperar parámetros
		idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
		
        // Bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion));
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(idAsociacion);
		request.setAttribute(Ctes.ASOCIACION,asociacion);
		
		// Recuperar la lista de grupos
		ambitoBO = new AmbitoBO(ds);
		lista = ambitoBO.listaAmbitos();
		request.setAttribute(Ctes.LISTA_AMBITOS,lista);
		
		return mapping.findForward(Ctes.EXITO);
}

}

