/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.asociaciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena una colección con todas las asociaciones en
 * el ámbito 'request'. 
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AsociacionBO asociacionBO = null;
		Collection lista = null;
		Map map = null;
		AmbitoBO ambitoBO = null;

		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recueperar la lista de asociaciones
		asociacionBO = new AsociacionBO(ds);
		lista =  asociacionBO.listaAsociaciones();
		request.setAttribute(Ctes.LISTA_ASOCIACIONES, lista);
		
		// Recuperar el map de ámbitos
		ambitoBO = new AmbitoBO(ds);
		map =  ambitoBO.mapAmbitos();
		request.setAttribute(Ctes.MAP_AMBITOS, map);

		return mapping.findForward(Ctes.EXITO);
}

}

