/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.asociaciones.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena todos los objetos necesarios para poder
 * editar una traducción de una asociación. 
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionAsociacionBO tradAsociacionBO = null;
		TraduccionAsociacionDTO tradAsociacion = null;
		String idAsociacion = null; 
		String idIdioma = null; 
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		
		// Recuperar parámetros
		idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
	    
		// Bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion
		        + "&" + Ctes.ID_IDIOMA + "=" + idIdioma));
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la traducción de la asociación
		tradAsociacionBO = new TraduccionAsociacionBO(ds);
		tradAsociacion = tradAsociacionBO.recuperarTraduccionAsociacion(idIdioma,idAsociacion);
		request.setAttribute(Ctes.TRADUCCION_ASOCIACION,tradAsociacion);
		
		// Recuperar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(idAsociacion);
		request.setAttribute(Ctes.ASOCIACION,asociacion);

		return mapping.findForward(Ctes.EXITO);
}

}

