/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.asociaciones.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena en el ámbito 'request' una colección con todas las traducciones de
 * la asociación que le ha sido pasada como parámetro.
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionAsociacionBO tradAsociacionBO = null;
		Collection lista = null;
		String idAsociacion;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		
	    // Recuperar parámetros 
	    idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
	    
	    // Guardar el bean "parametros"
	    request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion));
	    
	    // Obtener el DataSource
	    ds = getDataSource(request,Ctes.DATA_SOURCE);
	    
	    // Recuperar la asociación
	    asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(idAsociacion);
		request.setAttribute(Ctes.ASOCIACION,asociacion);
		
		// Recuperar las traducciones de la asociación
		tradAsociacionBO = new TraduccionAsociacionBO(ds);
		lista = tradAsociacionBO.listaTraduccionesAsociacion(idAsociacion);
		request.setAttribute(Ctes.LISTA_TRADUCCIONES_ASOCIACION,lista);

		return mapping.findForward(Ctes.EXITO);
}

}

