/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.codigos;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.dto.*;
import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena una colección con todos los códigos de
 * la asociación pasada como parámetro en el ámbito 'request'. 
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		Collection lista = null;
		String idAsociacion = null;
		CodigoBO codigoBO = null;
		
        // Recuperar parámetros
	    idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
		    
	    // Guardar el bean "parametros"
	    request.setAttribute("parametros",new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion));
	    
	    // Obtener el DataSource
	    ds = getDataSource(request,Ctes.DATA_SOURCE);
	    
	    // Recuperar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(idAsociacion);
		request.setAttribute(Ctes.ASOCIACION,asociacion);
		
		// Recuperar la lista de codigos de la asociación
	    codigoBO = new CodigoBO(ds);
		lista = codigoBO.listaCodigosAsociacion(idAsociacion);
		request.setAttribute(Ctes.LISTA_CODIGOS_ASOCIACION,lista);

		return mapping.findForward(Ctes.EXITO);
}

}

