/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.codigos.secciones;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena todos los objetos necesarios para poder
 * editar una sección.    
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		String nivel = null;
		String idCodigo = null;
		String idAsociacion = null;
		SeccionBO seccionBO = null; 
		SeccionDTO seccion = null;
		Collection temasSeccion = null;
		GrupoDeTemasBO grupoDeTemasBO = null;
		GrupoDeTemasDTO grupo = null;
		CodigoBO codigoBO = null;
		CodigoDTO codigo = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		Map map = new HashMap();
		int[] dividirEn2;

		// Recuperar parámetros
		nivel = request.getParameter(Ctes.NIVEL);
	    idCodigo = request.getParameter(Ctes.ID_CODIGO);
	    idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
	    
        // Bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion
	            + "&" + Ctes.ID_CODIGO + "=" + idCodigo
	            + "&" + Ctes.NIVEL + "=" + nivel));
			
		// Obtener el DataSourc
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la sección
		seccionBO = new SeccionBO(ds);
		seccion = seccionBO.recuperarSeccion(nivel,idCodigo);
		request.setAttribute(Ctes.SECCION,seccion);
		
		// Crear el Map(Grupo,{Temas})
		grupoDeTemasBO = new GrupoDeTemasBO(ds);
		map = grupoDeTemasBO.mapGruposYTemas();
		request.setAttribute(Ctes.MAP_GRUPOS_Y_TEMAS,map);
		
		// Guardar los parámetros
		request.setAttribute(Ctes.ID_ASOCIACION,idAsociacion);
		
		// Obtener y establecer parámetros para poner los temas en 2 columnas
		dividirEn2 = grupoDeTemasBO.dividirMapEn2(map);
		request.setAttribute(Ctes.GRUPO_I,new Integer(dividirEn2[0]));
		request.setAttribute(Ctes.TEMA_J,new Integer(dividirEn2[1]));
		request.setAttribute(Ctes.NTEMAS,new Integer(dividirEn2[2]));
		
		// Recuperar el código
	    codigoBO = new CodigoBO(ds);
		codigo = codigoBO.recuperarCodigo(idCodigo);
		request.setAttribute(Ctes.CODIGO,codigo);
		
		// Recuperar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(String.valueOf(codigo.getIdAsociacion()));
		request.setAttribute(Ctes.ASOCIACION,asociacion);

		return mapping.findForward(Ctes.EXITO);
}

}

