/*
 * NuevoAction.java		10-ago-2005
 */
package codetic.actions.admon.codigos.secciones;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.dto.*;
import codetic.bo.*;
import codetic.utils.*;


/**
 * Action que almacena todos los objetos necesarios para poder
 * crear una nueva sección.   
 *
 * @author Miguel Angel Serna Mata
 */
public class NuevoAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
	    ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		String idAsociacion = null;
		String idCodigo = null;
		TemaBO temaBO = null;
		GrupoDeTemasBO grupoDeTemasBO = null;
		Map map = null;
		Collection grupos = null;
		Collection temas = null;
		Iterator iter = null;
		GrupoDeTemasDTO grupo = null;
		int[] dividirEn2;
		CodigoBO codigoBO = null;
		CodigoDTO codigo = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		
        // Recuperar parámetros
		idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
		idCodigo = request.getParameter(Ctes.ID_CODIGO);
		    
		// Guardar el bean "parametros"
	    request.setAttribute("parametros",new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion
	            + "&" + Ctes.ID_CODIGO + "=" + idCodigo));
	    
		// Guardar los parámetros
		request.setAttribute(Ctes.ID_ASOCIACION,idAsociacion);
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Crear el Map(Grupo,{Temas})
		grupoDeTemasBO = new GrupoDeTemasBO(ds);
		map = grupoDeTemasBO.mapGruposYTemas();
		request.setAttribute(Ctes.MAP_GRUPOS_Y_TEMAS,map);
		
		// Obtener y establecer parámetros para poner los temas en 2 columnas
		dividirEn2 = grupoDeTemasBO.dividirMapEn2(map);
		request.setAttribute(Ctes.GRUPO_I,new Integer(dividirEn2[0]));
		request.setAttribute(Ctes.TEMA_J,new Integer(dividirEn2[1]));
		request.setAttribute(Ctes.NTEMAS,new Integer(dividirEn2[2]));
		
		// Recuperar el código
	    codigoBO = new CodigoBO(ds);
		codigo = codigoBO.recuperarCodigo(idCodigo);
		request.setAttribute(Ctes.CODIGO,codigo);
		
		// Recuperar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(String.valueOf(codigo.getIdAsociacion()));
		request.setAttribute(Ctes.ASOCIACION,asociacion);
		
		return mapping.findForward(Ctes.EXITO);
}

}

