/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.codigos.secciones.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.dto.*;
import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena en el ámbito 'request' una colección con todas las traducciones de la
 * sección que le ha sido pasado como parámetro.
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		SeccionBO seccionBO = null;
		SeccionDTO seccion = null;
		Collection lista = null;
		String idCodigo = null;
		String idAsociacion = null;
		String nivel = null;
		TraduccionSeccionBO tradSeccionBO = null;
		CodigoBO codigoBO = null;
		CodigoDTO codigo = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;

        // Recuperar parámetros
	    idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
	    idCodigo = request.getParameter(Ctes.ID_CODIGO);
	    nivel = request.getParameter(Ctes.NIVEL);
	    
	    // Guardar el bean "parametros"
	    request.setAttribute("parametros",new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion
	            + "&" + Ctes.ID_CODIGO + "=" + idCodigo
	            + "&" + Ctes.NIVEL + "=" + nivel));
	    
	    // Obtener el DataSource
	    ds = getDataSource(request,Ctes.DATA_SOURCE);
	    
	    // Recuperar la sección
		seccionBO = new SeccionBO(ds);
		seccion = seccionBO.recuperarSeccion(nivel,idCodigo);
		request.setAttribute(Ctes.SECCION,seccion);
		
		// Recuperar la lista de traducciones de la sección
	    tradSeccionBO = new TraduccionSeccionBO(ds);
		lista = tradSeccionBO.listaTraduccionesSeccion(idCodigo,nivel);
		request.setAttribute(Ctes.LISTA_TRADUCCIONES_SECCION,lista);
		
		// Recuperar el código
	    codigoBO = new CodigoBO(ds);
		codigo = codigoBO.recuperarCodigo(idCodigo);
		request.setAttribute(Ctes.CODIGO,codigo);
		
		// Recuperar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(String.valueOf(codigo.getIdAsociacion()));
		request.setAttribute(Ctes.ASOCIACION,asociacion);
			
		return mapping.findForward(Ctes.EXITO);
}

}

