/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.codigos.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena todos los objetos necesarios para poder
 * editar la traducción de un código.    
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionCodigoBO tradCodigoBO = null;
		TraduccionCodigoDTO tradCodigo = null;
		String idCodigo = null; 
		String idIdioma = null;
		String idAsociacion = null; 
		CodigoBO codigoBO = null;
		CodigoDTO codigo = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;

		// Recuperar parámetros
	    idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    idCodigo = request.getParameter(Ctes.ID_CODIGO);
		idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
		
		// Guardar el bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_CODIGO + "=" + idCodigo
		        + "&" + Ctes.ID_IDIOMA + "=" + idIdioma
		        + "&" + Ctes.ID_ASOCIACION + "=" + idAsociacion));
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la traducción del código
		tradCodigoBO = new TraduccionCodigoBO(ds);
		tradCodigo = tradCodigoBO.recuperarTraduccionCodigo(idIdioma,idCodigo);
		request.setAttribute(Ctes.TRADUCCION_CODIGO,tradCodigo);
		
		// Recuperar el código
	    codigoBO = new CodigoBO(ds);
		codigo = codigoBO.recuperarCodigo(idCodigo);
		request.setAttribute(Ctes.CODIGO,codigo);
		
		// Recuperar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(String.valueOf(codigo.getIdAsociacion()));
		request.setAttribute(Ctes.ASOCIACION,asociacion);

		return mapping.findForward(Ctes.EXITO);
}

}

