/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.codigos.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena en el ámbito 'request' una colección con todas las traducciones del
 * código que le ha sido pasado como parámetro.
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionCodigoBO tradCodigoBO = null;
		Collection lista = null;
		String idCodigo;
		CodigoBO codigoBO = null;
		CodigoDTO codigo = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;

	    // Recuperar parámetros
	    idCodigo = request.getParameter(Ctes.ID_CODIGO);
	    
	    // Guardar el bean "parametros"
	    request.setAttribute("parametros",new String("&" + Ctes.ID_CODIGO + "=" + idCodigo));

	    // Obtener el DataSource
	    ds = getDataSource(request,Ctes.DATA_SOURCE);
	    
	    // Recuperar el código
	    codigoBO = new CodigoBO(ds);
		codigo = codigoBO.recuperarCodigo(idCodigo);
		request.setAttribute(Ctes.CODIGO,codigo);
		
		// Recuperar las traducciones del código
		tradCodigoBO = new TraduccionCodigoBO(ds);
		lista = tradCodigoBO.listaTraduccionesCodigo(idCodigo);
		request.setAttribute(Ctes.LISTA_TRADUCCIONES_CODIGO,lista);
		
		// Recuperar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(String.valueOf(codigo.getIdAsociacion()));
		request.setAttribute(Ctes.ASOCIACION,asociacion);

		return mapping.findForward(Ctes.EXITO);
}

}

