/*
 * CrearAction.java		13-ago-2005
 */
package codetic.actions.admon.codigos.traducciones.secciones;

import java.util.*;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.commons.beanutils.*;
import org.apache.struts.action.*;
import org.apache.struts.actions.*;
import org.apache.struts.validator.*;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;

/**
 * Action que crea una nueva traducción de una sección en
 * la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class CrearAction extends LookupDispatchAction{
    
    protected Map getKeyMethodMap() {
        Map map = new HashMap();
        map.put("forms.botones.aceptar", "aceptar");
        map.put("forms.botones.continuar", "continuar");
        map.put("forms.botones.cancelar", "cancelar");
        return map;
    }
    
    public ActionForward aceptar(ActionMapping mapping,
            ActionForm form,
            HttpServletRequest request,
            HttpServletResponse response)
    throws Exception {
        
        ActionMessages messages = new ActionMessages();
        DataSource ds = null;
        TraduccionSeccionDTO tradSeccion = null;
        TraduccionSeccionBO tradSeccionBO = null;
        SeccionTemaBO seccionTemaBO = null;
        SeccionTemaDTO seccionTema = null;
        SeccionBO seccionBO = null;
        SeccionDTO seccion = null;
        String[] temasSeleccionados = null;			
        ActionForward destino = null;
        
        // Validar
        messages = form.validate(mapping, request);
        if (messages.size() > 0) {
            saveErrors(request,messages);
            
            String accionAnterior = (String) PropertyUtils.getProperty(form,"accionAnterior");
            if (accionAnterior.equals(Ctes.CREAR))
                destino = new ActionForward(mapping.getInput() + "?" + Ctes.ACCION + "=" + "falloCrear");
            else
                destino = new ActionForward(mapping.getInput());
            
            return  destino;
        }
        
        // Crear la traducción de la sección a partir de la 
		// información del formulario
        tradSeccion = new TraduccionSeccionDTO();
        BeanUtils.copyProperties(tradSeccion,form);
        
        // Obtener el DataSource
        ds = getDataSource(request,Ctes.DATA_SOURCE);
        
        // Crear la traducción de la sección
        tradSeccionBO = new TraduccionSeccionBO(ds);
        tradSeccionBO.crearTraduccionSeccion(tradSeccion);
        
        // Modificar la sección (por si se han modificado los temas asociados a la sección)
        seccionBO = new SeccionBO(ds);
        seccion = seccionBO.recuperarSeccion(tradSeccion.getNivel(),String.valueOf(tradSeccion.getIdCodigo()));
        seccion.setTemas((String[]) PropertyUtils.getProperty(form,Ctes.TEMAS));
        seccionBO.modificarSeccion(seccion);
        
        // Resetear el formulario
        DynaValidatorForm dynaForm = (DynaValidatorForm) form;
        dynaForm.getMap().clear();
        
        return mapping.findForward(Ctes.FIN);
    }
    
    public ActionForward continuar(ActionMapping mapping,
            ActionForm form,
            HttpServletRequest request,
            HttpServletResponse response)
    throws Exception {
        
        ActionMessages messages = new ActionMessages();
        DataSource ds = null;
        TraduccionSeccionDTO tradSeccion = null;
        TraduccionSeccionBO tradSeccionBO = null;
        SeccionTemaBO seccionTemaBO = null;
        SeccionTemaDTO seccionTema = null;
        SeccionBO seccionBO = null;
        SeccionDTO seccion = null;
        String[] temasSeleccionados = null;
        
        // Validar
        messages = form.validate(mapping, request);
        if (messages.size() > 0) {
            saveErrors(request,messages);
            return new ActionForward(mapping.getInput());
        }
        
        // Crear la traducción de la sección a partir de la 
		// información del formulario
        tradSeccion = new TraduccionSeccionDTO();
        BeanUtils.copyProperties(tradSeccion,form);
        
        // Obtener el DataSource
        ds = getDataSource(request,Ctes.DATA_SOURCE);
        
        // Crear la traducción de la sección
        tradSeccionBO = new TraduccionSeccionBO(ds);
        tradSeccionBO.crearTraduccionSeccion(tradSeccion);
        
        // Modificar la sección (por si se han modificado los temas asociados a la sección)
        seccionBO = new SeccionBO(ds);
        seccion = seccionBO.recuperarSeccion(tradSeccion.getNivel(),String.valueOf(tradSeccion.getIdCodigo()));
        seccion.setTemas((String[]) PropertyUtils.getProperty(form,Ctes.TEMAS));
        seccionBO.modificarSeccion(seccion);
        
        // Resetear el formulario
        DynaValidatorForm dynaForm = (DynaValidatorForm) form;
        dynaForm.getMap().clear();
        
        return mapping.findForward(Ctes.CONTINUAR);
    }
    
    public ActionForward cancelar(ActionMapping mapping,
            ActionForm form,
            HttpServletRequest request,
            HttpServletResponse response)
    throws Exception {
        
        // Resetear el formulario
        DynaValidatorForm dynaForm = (DynaValidatorForm) form;
        dynaForm.getMap().clear();
        
        return mapping.findForward(Ctes.FIN);
    }
    
}

