/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.codigos.traducciones.secciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.dto.*;
import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena en el ámbito 'request' una colección con todas las traducciones de la
 * sección que le ha sido pasado como parámetro.
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
    
    public ActionForward execute(ActionMapping mapping,
            ActionForm form,
            HttpServletRequest request,
            HttpServletResponse response)
    throws Exception {
        
        ActionMessages messages = new ActionMessages();
        DataSource ds = null;
        CodigoBO codigoBO = null;
        CodigoDTO codigo = null;
        Map map = null;
        String idCodigo = null;
        String idAsociacion = null;
        String idIdioma = null;
        SeccionBO seccionBO = null;
        Collection tradSecciones =  null;
        Iterator iter = null;
        int sinTraducir;
        AsociacionBO asociacionBO = null;
        AsociacionDTO asociacion = null;
        IdiomaBO idiomaBO = null;
        IdiomaDTO idioma = null;
        
        // Recuperar parámetros
        idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
        idCodigo = request.getParameter(Ctes.ID_CODIGO);
        idIdioma = request.getParameter(Ctes.ID_IDIOMA);
        
        // Guardar el bean "parametros"
        request.setAttribute("parametros",new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion
                + "&" + Ctes.ID_CODIGO + "=" + idCodigo
                + "&" + Ctes.ID_IDIOMA + "=" + idIdioma));
        
        // Obterner el DataSource
        ds = getDataSource(request,Ctes.DATA_SOURCE);
        
        // Recuperar el código
        codigoBO = new CodigoBO(ds);
        codigo = codigoBO.recuperarCodigo(idCodigo);
        request.setAttribute(Ctes.CODIGO,codigo);
        
        // Recuperar el map de secciones y sus traducciones
        seccionBO = new SeccionBO(ds);
        map = seccionBO.mapSeccionesYTraducciones(idIdioma,idCodigo);
        request.setAttribute(Ctes.MAP_SECCIONES_Y_TRADUCCIONES,map);
        
        // Contar el número de secciones sin traducir
        tradSecciones = map.values();
        iter = tradSecciones.iterator();
        sinTraducir = 0;
        while (iter.hasNext()) {
            if (iter.next() == null)
                sinTraducir++;
        }
        request.setAttribute(Ctes.TOTAL_SIN_TRADUCIR,new Integer(sinTraducir));
        
        // Recuperar la asociación
        asociacionBO = new AsociacionBO(ds);
        asociacion = asociacionBO.recuperarAsociacion(String.valueOf(codigo.getIdAsociacion()));
        request.setAttribute(Ctes.ASOCIACION,asociacion);
        
        // Recuperar el idioma
        idiomaBO = new IdiomaBO(ds);
        idioma = idiomaBO.recuperarIdioma(idIdioma);
        request.setAttribute(Ctes.IDIOMA,idioma);
        
        return mapping.findForward(Ctes.EXITO);
    }
    
}

