/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.gruposDeTemas.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena todos los objetos necesarios para poder
 * editar una traducción de un grupo de temas.  
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionGrupoDeTemasBO tradGrupoDeTemasBO = null;
		TraduccionGrupoDeTemasDTO tradGrupoDeTemas = null;
		String idGrupoDeTemas = null; 
		String idIdioma = null; 
		GrupoDeTemasBO grupoDeTemasBO = null;
		GrupoDeTemasDTO grupoDeTemas = null;

		// Recuperar parámetros
		idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    idGrupoDeTemas = request.getParameter(Ctes.ID_GRUPO_DE_TEMAS);
	    
		// Bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_GRUPO_DE_TEMAS + "=" + idGrupoDeTemas
		        + "&" + Ctes.ID_IDIOMA + "=" + idIdioma));
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la traducción del grupo de temas
		tradGrupoDeTemasBO = new TraduccionGrupoDeTemasBO(ds);
		tradGrupoDeTemas = tradGrupoDeTemasBO.recuperarTraduccionGrupoDeTemas(idIdioma,idGrupoDeTemas);
		request.setAttribute(Ctes.TRADUCCION_GRUPO_DE_TEMAS,tradGrupoDeTemas);
		
		// Recuperar grupo de temas
		grupoDeTemasBO = new GrupoDeTemasBO(ds);
		grupoDeTemas = grupoDeTemasBO.recuperarGrupoDeTemas(idGrupoDeTemas);
		request.setAttribute(Ctes.GRUPO_DE_TEMAS,grupoDeTemas);
		
		return mapping.findForward(Ctes.EXITO);
}

}

