/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.gruposDeTemas.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena en el ámbito 'request' una colección con todas las traducciones del
 * grupo de temas que le ha sido pasado como parámetro.
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionGrupoDeTemasBO tradGrupoDeTemasBO = null;
		Collection lista = null;
		String idGrupoDeTemas;
		GrupoDeTemasBO grupoDeTemasBO = null;
		GrupoDeTemasDTO grupoDeTemas = null;

	    // Recuperar parámetros
	    idGrupoDeTemas = request.getParameter(Ctes.ID_GRUPO_DE_TEMAS);
	    
	    // Guardar el bean "parametros"
	    request.setAttribute("parametros",new String("&idGrupoDeTemas=" + idGrupoDeTemas));
	    
	    // Obtener el DataSource
	    ds = getDataSource(request,Ctes.DATA_SOURCE);
	    
	    // Recuperar el grupo de temas
	    grupoDeTemasBO = new GrupoDeTemasBO(ds);
		grupoDeTemas = grupoDeTemasBO.recuperarGrupoDeTemas(idGrupoDeTemas);
		request.setAttribute(Ctes.GRUPO_DE_TEMAS,grupoDeTemas);
		
		// Recuperar las traducciones del grupo de temas
		tradGrupoDeTemasBO = new TraduccionGrupoDeTemasBO(ds);
		lista = tradGrupoDeTemasBO.listaTraduccionesGrupoDeTemas(idGrupoDeTemas);
		request.setAttribute(Ctes.LISTA_TRADUCCIONES_GRUPO_DE_TEMAS,lista);

		return mapping.findForward(Ctes.EXITO);
}

}

