/*
 * NuevoAction.java		10-ago-2005
 */
package codetic.actions.admon.gruposDeTemas.traducciones;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.dto.GrupoDeTemasDTO;
import codetic.utils.*;


/**
 * Action que almacena todos los objetos necesarios para poder
 * crear una nueva traducción de un grupo de temas. 
 *
 * @author Miguel Angel Serna Mata
 */
public class NuevoAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		IdiomaBO idiomaBO = null;
		Collection lista = null;
		String idGrupoDeTemas = null;
		GrupoDeTemasBO grupoDeTemasBO = null;
		GrupoDeTemasDTO grupoDeTemas = null;
		
		// Recuperar parámetros
		idGrupoDeTemas = request.getParameter(Ctes.ID_GRUPO_DE_TEMAS);
		
		// Bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_GRUPO_DE_TEMAS + "=" + idGrupoDeTemas));

		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la lista de idiomas
		idiomaBO = new IdiomaBO(ds);
		lista = idiomaBO.listaIdiomas();
		request.setAttribute(Ctes.LISTA_IDIOMAS,lista);
		
		// Recuperar grupo de temas
		grupoDeTemasBO = new GrupoDeTemasBO(ds);
		grupoDeTemas = grupoDeTemasBO.recuperarGrupoDeTemas(idGrupoDeTemas);
		request.setAttribute(Ctes.GRUPO_DE_TEMAS,grupoDeTemas);

		return mapping.findForward(Ctes.EXITO);
}

}

