/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.temas;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena todos los objetos necesarios para poder
 * editar un tema.   
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TemaBO temaBO = null;
		String idTema = null; 
		TemaDTO tema = null;
		Collection lista = null;
		GrupoDeTemasBO grupoDeTemasBO = null;

		// Recuperar parámetros
		idTema = request.getParameter(Ctes.ID_TEMA);
		
        // Bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_TEMA + "=" + idTema));
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar el tema
		temaBO = new TemaBO(ds);
		tema = temaBO.recuperarTema(idTema);
		request.setAttribute(Ctes.TEMA,tema);
		
		// Recuperar la lista de grupos de temas
		grupoDeTemasBO = new GrupoDeTemasBO(ds);
		lista = grupoDeTemasBO.listaGruposDeTemas();
		request.setAttribute(Ctes.LISTA_GRUPOS_DE_TEMAS,lista);

		return mapping.findForward(Ctes.EXITO);
}

}

