/*
 * ActualizarAction.java		13-ago-2005
 */
package codetic.actions.admon.temas.traducciones;

import java.util.*;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.commons.beanutils.*;
import org.apache.struts.action.*;
import org.apache.struts.actions.*;
import org.apache.struts.validator.*;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;

/**
 * Action que actualiza la información de la traducción de un
 * tema de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class ActualizarAction extends LookupDispatchAction{
		
		protected Map getKeyMethodMap() {
		      Map map = new HashMap();
		      map.put("forms.botones.aceptar", "aceptar");
		      map.put("forms.botones.cancelar", "cancelar");
		      return map;
		}

		public ActionForward aceptar(ActionMapping mapping,
		          ActionForm form,
		          HttpServletRequest request,
		          HttpServletResponse response)
		          throws Exception {
			
		    ActionMessages messages = new ActionMessages();
			DataSource ds = null;
			TraduccionTemaDTO tradTema = null;
			TraduccionTemaBO tradTemaBO = null;
			
			// Validar
			messages = form.validate(mapping, request);
			if (messages.size() > 0) {
			    saveErrors(request,messages);
			    return new ActionForward(mapping.getInput());
			}

			// Crear la traducción del tema a partir de la 
			// información del formulario
			tradTema = new TraduccionTemaDTO();
			BeanUtils.copyProperties(tradTema,form);
			
			// Obtener el DataSource
			ds = getDataSource(request,Ctes.DATA_SOURCE);
			
			// Modificar el tema
			tradTemaBO = new TraduccionTemaBO(ds);
			tradTemaBO.modificarTraduccionTema(tradTema);

			return mapping.findForward(Ctes.EXITO);
		  }

		  public ActionForward cancelar(ActionMapping mapping,
		          ActionForm form,
		          HttpServletRequest request,
		          HttpServletResponse response)
		          throws Exception {
		      
		        // Resetear el formulario
		        DynaValidatorForm dynaForm = (DynaValidatorForm) form;
	  	        dynaForm.getMap().clear();

		        return mapping.findForward(Ctes.EXITO);
		  }

}

