/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.temas.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena todos los objetos necesarios para poder
 * editar la traducción de un tema.   
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionTemaBO tradTemaBO = null;
		TraduccionTemaDTO tradTema = null;
		String idTema = null; 
		String idIdioma = null; 
		TemaBO temaBO = null;
		TemaDTO tema = null;

		// Recuperar parámetros
		idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    idTema = request.getParameter(Ctes.ID_TEMA);
	    
		// Bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_TEMA + "=" + idTema
		        + "&" + Ctes.ID_IDIOMA + "=" + idIdioma));
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la traducción del tema
		tradTemaBO = new TraduccionTemaBO(ds);
		tradTema = tradTemaBO.recuperarTraduccionTema(idIdioma,idTema);
		request.setAttribute(Ctes.TRADUCCION_TEMA,tradTema);
		
		// Recuperar tema
		temaBO = new TemaBO(ds);
		tema = temaBO.recuperarTema(idTema);
		request.setAttribute(Ctes.TEMA,tema);

		return mapping.findForward(Ctes.EXITO);
}

}

