/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.temas.traducciones;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.dto.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena en el ámbito 'request' una colección con todas las traducciones del
 * tema que le ha sido pasado como parámetro.
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionTemaBO tradTemaBO = null;
		Collection lista = null;
		String idTema;
		TemaBO temaBO = null;
		TemaDTO tema = null;

	    // Recuperar parámetros 
	    idTema = request.getParameter(Ctes.ID_TEMA);
	    
	    // Guardar el bean "parametros"
	    request.setAttribute("parametros",new String("&" + Ctes.ID_TEMA + "=" + idTema));
	    
	    // Obtener el DataSource
	    ds = getDataSource(request,Ctes.DATA_SOURCE);
	    
	    // Recuperar el tema
	    temaBO = new TemaBO(ds);
		tema = temaBO.recuperarTema(idTema);
		request.setAttribute(Ctes.TEMA,tema);
		
		// Recuperar la lista de traducciones del tema
		tradTemaBO = new TraduccionTemaBO(ds);
		lista = tradTemaBO.listaTraduccionesTema(idTema);
		request.setAttribute(Ctes.LISTA_TRADUCCIONES_TEMA,lista);

		return mapping.findForward(Ctes.EXITO);
}

}

