/*
 * NuevoAction.java		10-ago-2005
 */
package codetic.actions.admon.temas.traducciones;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.dto.TemaDTO;
import codetic.utils.*;


/**
 * Action que almacena todos los objetos necesarios para poder
 * crear una nueva traducción de tema.
 *
 * @author Miguel Angel Serna Mata
 */
public class NuevoAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		IdiomaBO idiomaBO = null;
		Collection lista = null;
		String idTema = null;
		TemaBO temaBO = null;
		TemaDTO tema = null;
		
		// Recuperar parámetros
		idTema = request.getParameter(Ctes.ID_TEMA);
		
		// Bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_TEMA + "=" + idTema));

		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la lista de idiomas
		idiomaBO = new IdiomaBO(ds);
		lista = idiomaBO.listaIdiomas();
		request.setAttribute(Ctes.LISTA_IDIOMAS,lista);
		
		// Recuperar el tema
		temaBO = new TemaBO(ds);
		tema = temaBO.recuperarTema(idTema);
		request.setAttribute(Ctes.TEMA,tema);

		return mapping.findForward(Ctes.EXITO);
}

}

