/*
 * BusquedaBO.java		03-ago-2005
 */
package codetic.bo;

import java.sql.Connection;
import java.util.*;

import javax.sql.DataSource;

import codetic.dao.*;
import codetic.dto.*;
import codetic.exceptions.*;
import codetic.utils.*;

/**
 * Clase que contiene la lógica de negocio relacionada con
 * la búsqueda de artículos de códigos éticos. 
 *
 * @author Miguel Angel Serna Mata
 */
public class BusquedaBO {
	
	private DataSource dataSource;
	
	public BusquedaBO(DataSource dataSource) {
		this.dataSource = dataSource;
	}
	
	public Collection buscarArticulos(BusquedaDTO busqueda) throws Exception {
		Connection con = null;
		BusquedaDAO busquedaDAO = null;
		Collection c = null;
		
		try {
		    con = JDBCUtils.getConnection(dataSource);
			busquedaDAO = new BusquedaDAO(con);
			// Ejecuta la sentencia
			c = busquedaDAO.recuperarResultados(busqueda);
			JDBCUtils.commit(con);
		} catch (DAOException e) {
		    JDBCUtils.rollback(con);
		    throw new BusinessException(e.getMessage());
		} catch (Exception e) {
		    JDBCUtils.rollback(con);
		    throw e;
		} finally {
		    JDBCUtils.close(con);
		}
		
		return c;
	}

}
