/*
 * BusinessExceptionHandler.java		05-oct-2005
 */
package codetic.exceptions;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ExceptionHandler;
import org.apache.struts.config.ExceptionConfig;
import org.apache.struts.util.ModuleException;
import org.apache.struts.Globals;

/**
 * Manejador de las excepciones BusinessException y Exception.
 * Basado en la Receta 9.2 del libro 'Jakarta Struts Cookbook'. 
 *
 * @author Miguel Angel Serna Mata
 */
public class GlobalExceptionHandler extends ExceptionHandler {

    public ActionForward execute(
            Exception ex,
            ExceptionConfig ae,
            ActionMapping mapping,
            ActionForm formInstance,
            HttpServletRequest request,
            HttpServletResponse response)
            throws ServletException {

        ActionForward forward = null;
        ActionMessage error = null;
        String property = null;

        // Build the forward from the exception mapping if it exists
        // or from the form input
        if (ae.getPath( ) != null) {
            forward = new ActionForward(ae.getPath( ));
        } else {
            forward = mapping.getInputForward( );
        }

        // Figure out the error
        if (ex instanceof ModuleException) {
            error = ((ModuleException) ex).getActionMessage( );
            property = ((ModuleException) ex).getProperty( );
        } else {
            // Use the message of the exception instead of the key
            // supplied in the exception declaration
            error = new ActionMessage(ex.getMessage());
            property = error.getKey( );
        }

        logException(ex);

        // Store the exception
        request.setAttribute(Globals.EXCEPTION_KEY, ex);
        storeException(request, property, error, forward, ae.getScope( ));

        return forward;

    }

}