/*
 * Text2HtmlTag.java		27-sep-2005
 */
package codetic.jsptags;

import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.*;

import java.io.*;

/**
 * Clase de la etiqueta text2html de la biblioteca de etiquetas t2h. 
 *
 * @author Miguel Angel Serna Mata
 */
public class Text2HtmlTag extends BodyTagSupport {
    
	public int doAfterBody() throws JspException {
		BodyContent bc = getBodyContent();
		// Guarda el cuerpo del contenido como un String
		String texto = bc.getString();
		// Borra el cuerpo
		bc.clearBody();
		// Convierte el texto en HTML
		String html = "";
		String[] parrafos = texto.split("\r\n\r\n");
		for (int i=0; i<parrafos.length; i++) {
		    html += "<p>" + parrafos[i] + "</p>\r\n\r\n";
		}
	     try {
	         bodyContent.print(html);
	     } catch (Exception e) {
	         throw new JspException(e.toString());
	     }
		return SKIP_BODY;
	}
	
	public int doEndTag() throws JspException {
		try {  
			pageContext.getOut().print(bodyContent.getString());
			return EVAL_PAGE;
		} catch(IOException ioe) {
			throw new JspException(ioe.getMessage());
		} 
	}
} 
