/*
 * Ctes.java		03-ago-2005
 */
package codetic.utils;

/**
 * Contiene constantes utilizadas en toda la aplicación.
 *
 * @author Miguel Angel Serna Mata
 */
public final class Ctes {
    
    // Forwards
    public static final String EXITO = "exito";
    public static final String CONTINUAR = "continuar";
    public static final String FIN = "fin";
    public static final String CREAR = "crear";
    public static final String COMENZAR = "comenzar";
    
    // Fuente de datos
    public static final String DATA_SOURCE = "codetic";
    
    // Nombre de los beans
    public static final String IDIOMA = "idioma";
    public static final String LISTA_IDIOMAS = "listaIdiomas";
    public static final String AMBITO = "ambito";
    public static final String LISTA_AMBITOS = "listaAmbitos";
    public static final String TRADUCCION_AMBITO = "traduccionAmbito";
    public static final String LISTA_TRADUCCIONES_AMBITO = "listaTraduccionesAmbito";
    public static final String GRUPO_DE_TEMAS = "grupoDeTemas";
    public static final String LISTA_GRUPOS_DE_TEMAS = "listaGruposDeTemas";
    public static final String TRADUCCION_GRUPO_DE_TEMAS = "traduccionGrupoDeTemas";
    public static final String LISTA_TRADUCCIONES_GRUPO_DE_TEMAS = "listaTraduccionesGrupoDeTemas";
    public static final String TEMA = "tema";
    public static final String LISTA_TEMAS = "listaTemas";
    public static final String TRADUCCION_TEMA = "traduccionTema";
    public static final String LISTA_TRADUCCIONES_TEMA = "listaTraduccionesTema";
    public static final String ASOCIACION = "asociacion";
    public static final String LISTA_ASOCIACIONES = "listaAsociaciones";
    public static final String TRADUCCION_ASOCIACION = "traduccionAsociacion";
    public static final String LISTA_TRADUCCIONES_ASOCIACION = "listaTraduccionesAsociacion";
    public static final String CODIGO = "codigo";
    public static final String LISTA_CODIGOS_ASOCIACION = "listaCodigosAsociacion";
    public static final String TRADUCCION_CODIGO = "traduccionCodigo";
    public static final String LISTA_TRADUCCIONES_CODIGO = "listaTraduccionesCodigo";
    public static final String SECCION = "seccion";
    public static final String LISTA_SECCIONES_CODIGO = "listaSeccionesCodigo";
    public static final String TRADUCCION_SECCION = "traduccionSeccion";
    public static final String LISTA_TRADUCCIONES_SECCION = "listaTraduccionesSeccion";
    public static final String LISTA_SECCIONES_TRADUCIDAS = "listaSeccionesTraducidas";
    public static final String LISTA_SECCIONES_TRADUCIDAS_DEL_INDICE = "listaSeccionesTraducidasDelIndice";
    
    public static final String MAP_GRUPOS_DE_TEMAS = "mapGruposDeTemas";
    public static final String MAP_AMBITOS = "mapAmbitos";
    public static final String MAP_GRUPOS_Y_TEMAS = "mapGruposYTemas";
    public static final String MAP_SECCIONES_Y_TRADUCCIONES = "mapSeccionesYTraducciones";
    public static final String MAP_TRADUCCIONES_AMBITOS_Y_ASOCIACIONES = "mapTraduccionesAmbitosYAsociaciones";
    public static final String MAP_CODIGOS_Y_TRADUCCIONES_CODIGOS = "mapCodigosYTraduccionesCodigos";
    public static final String MAP_TRADUCCIONES_GRUPOS_Y_TRADUCCIONES_TEMAS  = "mapTraduccionesGruposYTraduccionesTemas";
    
    public static final String PILA_SECCIONES_SIN_TRADUCIR = "pilaSeccionesSinTraducir";
    
    public static final String BUSQUEDA = "busqueda";
    public static final String RESULTADOS = "resultados";
    
    // Parámetros de BusquedaForm
    public static final String PALABRAS = "palabras";
    
    // Parámetros
    public static final String PARAMETROS = "parametros";
    public static final String ID_IDIOMA = "idIdioma";
    public static final String ID_AMBITO = "idAmbito";
    public static final String ID_GRUPO_DE_TEMAS = "idGrupoDeTemas";
    public static final String ID_TEMA = "idTema";
    public static final String ID_ASOCIACION = "idAsociacion";
    public static final String ID_CODIGO = "idCodigo";
    public static final String NIVEL = "nivel";
    public static final String IDIOMAS = "idiomas";
    public static final String ASOCIACIONES = "asociaciones";
    public static final String AMBITOS = "ambitos";
    public static final String NIVEL_ANTIGUO = "nivelAntiguo";
    
    // Campos por los que ordenar
    public static final String NOMBRE_ADMON = "nombreAdmon";
    public static final String NOMBRE = "nombre";
    public static final String TITULO_ORIGINAL = "tituloOriginal";
    public static final String TITULO = "titulo";
    
    // Parámetros "especiales"
    public static final String TEMAS = "temas";
    public static final String GRUPO_I = "grupoi";
    public static final String TEMA_J = "temaj";
    public static final String NTEMAS = "ntemas";
    public static final String TOTAL_SIN_TRADUCIR = "totalSinTraducir";
    public static final String ACCION = "accion";
    public static final String NUMERO_SECCION = "numeroSeccion";
    public static final String ORDEN = "orden";
    public static final String ALFABETICO = "alfabetico";
    public static final String GEOGRAFICO = "geografico";
    public static final String TIPO_BUSQUEDA = "tipoBusqueda";
    
    // Búsqueda: Coincidencia de palabras
    public static final String EXACTA = "exacta";
    public static final String CUALQUIERA = "cualquiera";
    public static final String TODAS = "todas";
    
    // Búsqueda: Coincidencia de temas y grupos de temas
    // Junto con cualquiera de la búsqueda de palabras.
    public static final String TODOS = "todos";

}
