/*
 * DBUtils.java		02-ago-2005
 */
package codetic.utils;

import java.sql.*;
import javax.sql.*;

/**
 * Clase con utilidades para el API JDBC. 
 *
 * @author Miguel Angel Serna Mata
 */
public final class JDBCUtils {
    
    public static Connection getConnection (DataSource ds) {
        Connection con = null;
        try {
            con = ds.getConnection();
        } catch (SQLException e) {
            throw new RuntimeException("errors.jdbc.getConnection.DataSource");
        }
        return con;
    }
    
    public static void commit (Connection con) {
        if (con != null) {
            try {
                con.commit();
            } catch (SQLException e) {
                throw new RuntimeException("errors.jdbc.commit.Connection");
            }
        }
    }
    
    public static void rollback (Connection con) {
        if (con != null) {
            try {
                con.rollback();
            } catch (SQLException e) {
                throw new RuntimeException("errors.jdbc.rollback.Connection");
            }
        }
    }
    
    public static void close (Connection con) {
        if (con != null) {
            try {
                con.close();
            } catch (SQLException e) {
                throw new RuntimeException("errors.jdbc.close.Connection");
            }
        }
    }
    
    public static void close (PreparedStatement prep) {
        if (prep != null) {
            try {
                prep.close();
            } catch (SQLException e) {
                throw new RuntimeException("errors.jdbc.close.PreparedStatement");
            }
        }
    }
    
    public static void close (ResultSet rs) {
        if (rs != null) {
            try {
                rs.close();
            } catch (SQLException e) {
                throw new RuntimeException("errors.jdbc.close.ResultSet");
            }
        }
    }

}
