<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-tiles" prefix="tiles" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>

<%-- Beans --%>
<bean:parameter id="idAsociacion" name="idAsociacion"/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <html:link action="/admon/asociaciones/traducciones/index?idAsociacion=${idAsociacion}"><bean:message key="menu.traducciones.index"/></html:link>
> <bean:message key="menu.traducciones.nuevo"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.traducciones"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></span></p>
</div>

<h3><bean:message key="admon.asociaciones.traducciones.nuevo.titulo"/></h3>

<%-- Mostrar errores --%>
<logic:messagesPresent>
  <div id="errores">
    <html:img srcKey="img.error" width="14" height="13"/> <p><bean:message key="forms.errores"/></p>
    <ul>
    <html:messages id="error">
      <li><bean:write name="error"/></li>
    </html:messages>
    </ul>
  </div>
  <br/>
</logic:messagesPresent>

<html:form action="/admon/asociaciones/traducciones/crear" focus="idIdioma" enctype="text/plain;charset=UTF-8" >
  <html:hidden property="idAsociacion" value="${idAsociacion}"/>
  <table class="form">
    <tr>
      <th>
        <label for="idIdioma"><bean:message key="forms.TraduccionAsociacionForm.campos.idIdioma"/>*</label>
      </th>
      <td>
        <html:select property="idIdioma">
         <html:options collection="listaIdiomas" property="idIdioma"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <th>
        <label for="localizacionGeografica"><bean:message key="forms.TraduccionAsociacionForm.campos.localizacionGeografica"/>*</label>
      </th>
      <td>
        <html:text property="localizacionGeografica" maxlength="45" size="45"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="descripcion"><bean:message key="forms.TraduccionAsociacionForm.campos.descripcion"/>*</label>
      </th>
      <td>
        <html:textarea property="descripcion" cols="40" rows="6"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="comentarios"><bean:message key="forms.TraduccionAsociacionForm.campos.comentarios"/></label>
      </th>
      <td>
        <html:textarea property="comentarios" cols="40" rows="6"/>
      </td>
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td>
        <html:submit property="accion"><bean:message key="forms.botones.continuar"/></html:submit>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
</html:form>

<p class="small"><bean:message key="frase.camposConAsterisco"/></p>

<br/>