<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<h1>Ayuda de Administración</h1>

<p>Bienvenido al manual de administración de Codetic. Este manual
surge con el propósito de explicar todas aquellas tareas que se
pueden realizar desde la zona de administración de Codetic y que
permiten gestionar la información contenida en la base de
datos.</p>

<h3>Índice</h3>

<div id="manual">

<ul>
<li><html:link action="/admon/ayuda" anchor="entrar-salir">Entrar
y salir del sistema</html:link></li>
<li><html:link action="/admon/ayuda" anchor="pagina-admon">Página
de administración</html:link></li>
<li><html:link action="/admon/ayuda" anchor="cons-generales">Consideraciones generales</html:link></li>
<li><html:link action="/admon/ayuda" anchor="idiomas">Gestión de idiomas</html:link></li>
<li><html:link action="/admon/ayuda" anchor="ambitos">Gestión de ámbitos</html:link>
<ul>
<li><html:link action="/admon/ayuda" anchor="trads-ambito">Gestión de las traducciones de un ámbito</html:link></li>
</ul>
</li>
<li><html:link action="/admon/ayuda" anchor="asociaciones">Gestión de asociaciones</html:link>
<ul>
<li><html:link action="/admon/ayuda" anchor="trads-asociacion">Gestión de las traducciones de una
asociación</html:link></li>
</ul>
</li>
<li><html:link action="/admon/ayuda" anchor="codigos">Gestión de códigos éticos</html:link>
<ul>
<li><html:link action="/admon/ayuda" anchor="trads-codigo">Gestión de las traducciones de un código</html:link></li>
<li><html:link action="/admon/ayuda" anchor="secciones">Gestión de las secciones de un código</html:link></li>
<li><html:link action="/admon/ayuda" anchor="trads-seccion">Gestión de las traducciones de una sección</html:link></li>
<li><html:link action="/admon/ayuda" anchor="secciones-trad">Gestión de las traducciones de secciones asociadas a
una traducción de código</html:link></li>
<li><html:link action="/admon/ayuda" anchor="trad-completa">Cómo
insertar la traducción completa de un código</html:link></li>
</ul>
</li>
<li><html:link action="/admon/ayuda" anchor="temas">Gestión de temas</html:link>
<ul>
<li><html:link action="/admon/ayuda" anchor="trads-tema">Gestión de las traducciones de los temas</html:link></li>
</ul>
</li>
<li><html:link action="/admon/ayuda" anchor="grupos">Gestión de grupos de temas</html:link>
<ul>
<li><html:link action="/admon/ayuda" anchor="trads-grupo">Gestión de las traducciones de los grupos de
temas</html:link></li>
</ul>
</li>
</ul>

<br/>
<br/>



<html:link linkName="entrar-salir"><h2>Entrar y salir del sistema</h2></html:link>

<p>Lo primero que tenemos que hacer para poder entrar en la zona de
administración es identificarnos como administradores. Para ello,
haremos clic en el enlace «Login» del menú principal
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-index">1</html:link>), con lo que
accederemos a la página de identificación (Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-login">11</html:link>). Esta página contiene un formulario en
el que introduciremos nuestro nombre de usuario y nuestra
contraseña. Una vez introducidos, pulsaremos el botón «Entrar», con
lo que se comprobará en el sistema la existencia de dicho usuario.
Si el usuario existe, entonces, pasaremos a la página de
administración (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-index">12</html:link>), que veremos más adelante. Si no,
se nos volverá a mostrar la página de identificación, para que
volvamos a identificarnos.</p>

<html:link linkName="pag-login"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 11:</strong> Página de
identificación.</caption>
<tr>
<td>
<html:img page="/img/login.png" alt="Image login"/></td>
</tr>
</table>


<br/>
<html:link linkName="pagina-admon"><h2>Página de administración</h2></html:link>
<p>La página de administración (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-index">12</html:link>) es la página principal de la zona
de administración. Si observamos la parte izquierda de la página,
observaremos que hay un nuevo menú justo debajo del menú principal.
Este nuevo menú es el menú de administración, que nos permite
navegar por la zona de administración. Las distintas opciones de
este menú, que iremos viendo a lo largo de los siguientes
apartados, son:</p>
<ul>
<li><span class="textbf">Administración</span>. Esta opción va
precedida por dos puntos (::) y encabeza el resto de opciones. Es
el enlace a la página de administración.</li>
<li><span class="textbf">Logout</span>. Salir del sistema.</li>
<li><span class="textbf">Idiomas</span>. Permite administrar todos
los idiomas de la base de datos.</li>
<li><span class="textbf">Ámbitos</span>. A través de esta opción
podemos administrar todos los ámbitos de la base de datos, así como
sus respectivas traducciones.</li>
<li><span class="textbf">Asociaciones y Códigos</span>. Permite
administrar todas las asociaciones y códigos éticos de la base de
datos, así como sus respectivas traducciones.</li>
<li><span class="textbf">Temas</span>. Se encarga de la
administración de los temas y de sus traducciones.</li>
<li><span class="textbf">Grupos de temas</span>. Esta opción nos
permite gestionar los grupos de temas y sus traducciones.</li>
<li><span class="textbf">Ayuda de Administración</span>. Contiene
este manual de administración. En él se documenta la zona de
administración de la aplicación web Codetic.</li>
</ul>
<p>Aparte de este menú, que estará disponible hasta que salgamos
del sistema como administradores, en el cuerpo de la página de
administración también aparece una lista de enlaces. Como podemos
observar, esta lista es simplemente un subconjunto de las opciones
del menú de administración vistas anteriormente.</p>

<html:link linkName="pag-admon-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 12:</strong> Página de
administración.</caption>
<tr>
<td>
<html:img page=
"/img/admon-index.png" alt="Image admon-index"/></td>
</tr>
</table>


<br/>
<html:link linkName="cons-generales"><h2>Consideraciones generales</h2></html:link>
<p>Las páginas de gestión de todas las entidades (idiomas, ámbitos,
traducciones de ámbito...) siguen un mismo patrón. En todas ellas
existe una tabla en la que podemos ver los distintos registros que
hay almacenados para esa entidad. Por ejemplo, en la
Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-idiomas-index">13</html:link> puede
verse la página de administración de los idiomas. En ella vemos que
existen dos idiomas almacenados en la base de datos. El primero de
ellos es el inglés y tiene como identificador la palabra «en» y
como nombre «English». El segundo es el español y tiene como
identificador la palabra «es» y como nombre «Español».</p>

<html:link linkName="pag-admon-idiomas-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 13:</strong> Página de
administración de idiomas.</caption>
<tr>
<td>
<html:img page="/img/admon-idiomas-index.png" alt="Image admon-idiomas-index"/></td>
</tr>
</table>

<p>Los registros de la tabla pueden ordenarse en orden descendente
o ascendente según el contenido de determinadas columnas. Estas
columnas se diferencian del resto porque tienen un icono especial
situado a su derecha y porque, al pasar el cursor por encima de
ellas, su nombre se subraya. Existen tres tipos de iconos asociados
a estas columnas y se interpretan de la siguiente manera:</p>
<dl>
<dt><strong><html:img page=
"/img/arrow-off.png" alt="Image arrow-off"/></strong></dt>
<dd>Los registros de la tabla no están ordenados por esta
columna.</dd>
<dt><strong><html:img page=
"/img/arrow-down.png" alt="Image arrow-down"/></strong></dt>
<dd>Los registros de la tabla están ordenados ascendentemente según
el contenido de esta columna.</dd>
<dt><strong><html:img page=
"/img/arrow-up.png" alt="Image arrow-up"/></strong></dt>
<dd>Los registros de la tabla están ordenados descendentemente
según el contenido de esta columna.</dd>
</dl>
<p>Todas estas tablas están formadas por una serie de columnas que
se corresponden con algún atributo de la entidad, excepto la última
columna, denominada «Acciones». Esta columna contiene un icono por
cada acción que podemos llevar a cabo para cada uno de los
registros almacenados en la base de datos:</p>
<dl>
<dt><strong><html:img page=
"/img/editar.png" alt="Image editar"/></strong></dt>
<dd>Editar un registro (botón editar). Este icono aparece en todas
las tablas.</dd>
<dt><strong><html:img page=
"/img/eliminar.png" alt="Image eliminar"/></strong></dt>
<dd>Eliminar un registro (botón eliminar). Este icono aparece en
todas las tablas.</dd>
<dt><strong><html:img page=
"/img/mundo.png" alt="Image mundo"/></strong></dt>
<dd>Administrar las traducciones asociadas a un registro (botón
traducciones). Este icono sólo aparece en las tablas de gestión de
algún tipo de traducciones.</dd>
<dt><strong><html:img page=
"/img/libro.png" alt="Image libro"/></strong></dt>
<dd>Administrar los códigos éticos de una asociación (botón
códigos). Este botón sólo aparece en la tabla de gestión de
asociaciones.</dd>
<dt><strong><html:img page=
"/img/secciones.png" alt="Image secciones"/></strong></dt>
<dd>Administrar las secciones de un código ético (botón secciones).
Este botón sólo aparece en la tabla de gestión de códigos
éticos.</dd>
<dt><strong><html:img page=
"/img/sec-trad.png" alt="Image sec-trad"/></strong></dt>
<dd>Administrar las traducciones de las secciones asociadas a la
traducción de un código ético (botón secciones traducidas). Este
botón sólo aparece en la tabla de gestión de traducciones de un
código ético.</dd>
</dl>

<p>Además de estas acciones, encima de las tablas existe un enlace
que nos permite crear un nuevo registro en la base de datos (véase
la Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-idiomas-index">13</html:link> para
el caso de los idiomas). Con esta, son tres las acciones comunes a
todas las tablas: crear, editar y eliminar.</p>
<p>En las operaciones de creación y edición de un registro es
necesario rellenar o modificar los campos de los formularios
asociados al registro. Los campos obligatorios de cada formulario
aparecen marcados con asteriscos «*». Las figuras&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-idiomas-nuevo">14</html:link> y <html:link action="/admon/ayuda" anchor=
"pag-admon-idiomas-editar">15</html:link> muestran, respectivamente,
los formularios de creación de un nuevo idioma y de edición del
idioma inglés.</p>

<html:link linkName="pag-admon-idiomas-nuevo"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 14:</strong> Página de
creación de un nuevo idioma.</caption>
<tr>
<td>
<html:img page="/img/admon-idiomas-nuevo.png" alt="Image admon-idiomas-nuevo"/></td>
</tr>
</table>

<html:link linkName="pag-admon-idiomas-editar"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 15:</strong> Página de
edición de un idioma.</caption>
<tr>
<td>
<html:img page="/img/admon-idiomas-editar.png" alt="Image admon-idiomas-editar"/></td>
</tr>
</table>

<p>Para que la creación y la modificación de un registro se lleve a
cabo los datos introducidos en el formulario deben ser válidos. Si
no lo son, entonces se nos volverá a mostrar el formulario, donde
se nos indicarán todos los errores de validación.</p>
<p>La eliminación de un registro implica la eliminación de todos
los registros vinculados a éste. Por ejemplo, al eliminar un
idioma, todos las traducciones escritas en ese idioma también son
eliminadas. Por eso, antes de eliminar un registro se nos muestra
un mensaje de confirmación.</p>
<p>Existe un elemento especial de navegación llamado <span class=
"textit">breadcrumb</span> (rastro de migas de pan) que aparece en
todas las páginas y está situado debajo de la cabecera e
inmediatamente antes del contenido principal de las mismas. Este
elemento nos permite orientarnos dentro del sitio web Codetic y es
especialmente útil para navegar por la zona de administración,
puesto que esta zona tiene bastantes niveles de profundidad en los
que es fácil perderse. Para la página de gestión de idiomas
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-idiomas-index">13</html:link>), el
<span class="textit">breadcrumb</span> que podemos ver es el
siguiente:</p>


<blockquote><span class="underline">Inicio</span> &gt;<span class="underline">Administración</span> &gt;Idiomas
</blockquote>

<p>Por último, comentar que todos los iconos disponen de un mensaje
de ayuda emergente (<span class="textit">tooltiptext</span>) que es
mostrado al poner el cursor del ratón encima de ellos.</p>


<br/>
<html:link linkName="idiomas"><h2>Gestión de idiomas</h2></html:link>
<p>Podemos acceder a esta página (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-idiomas-index">13</html:link>) a través de la opción
«Idiomas» del menú de administración o a través del enlace
«Idiomas» que aparece en el cuerpo de la página de
administración.</p>
<p>Esta página muestra una tabla con todos los idiomas que hay
almacenados en la base de datos. Las columnas de esta tabla
son:</p>
<ul>
<li><span class="textbf">Identificador</span>. Código de dos letras
que identifica al idioma.</li>
<li><span class="textbf">Nombre</span>. Es el nombre del idioma
escrito en su mismo idioma.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
acciones que se pueden realizar sobre cada uno de los idiomas:

<dl>
<dt>
<html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar un idioma (botón editar).</dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar un idioma (botón eliminar).</dd>
</dl>

</li>
</ul>


<p>Más arriba de la tabla de idiomas tenemos dos enlaces. El
primero, «Crear Nuevo Idioma», nos lleva al formulario de creación
de un nuevo idioma. El segundo, «Volver», nos permite volver a la
página anterior.</p>
<p>A continuación vamos a explicar cada una de las operaciones que
podemos realizar para administrar los idiomas.</p>

<br/>
<h3>Crear un nuevo idioma</h3>
<p>Para crear un nuevo idioma debemos hacer clic en el enlace
«Crear Nuevo Idioma» de la página de administración de idiomas
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-idiomas-index">13</html:link>).
Entonces, accederemos a la página que se muestra en la
Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-idiomas-nuevo">14</html:link>. A
continuación, introduciremos los datos del nuevo idioma en los
campos del formulario:</p>
<ul>
<li><span class="textbf">idIdioma</span>. Representa el código de
idioma ISO definido por el estándar <a href="http://www.ics.uci.edu/pub/ietf/http/related/iso639.txt">ISO-639-1</a>. 
Este estándar proporciona códigos de dos letras escritas en minúsculas
para 136 lenguas del mundo. Por ejemplo, el código ISO-639-1 para
el inglés es «en».</li>
<li><span class="textbf">nombre</span>. Representa el nombre del
idioma escrito en el mismo idioma. Por ejemplo, para el español
sería «español», mientras que para el inglés sería «english».</li>
</ul>
<p>Una vez los hayamos introducido, haremos clic en el botón
«Guardar y crear otro» si deseamos insertar otro idioma. En este
caso, si los datos introducidos son válidos, se crea el idioma y se
nos vuelve a mostrar de nuevo el formulario vacío para que
introduzcamos los datos de un nuevo idioma. Si no, haremos clic en
el botón «Guardar», con lo que el idioma se creará, en el caso de
que sus datos sean válidos, y regresaremos a la página de
administración de idiomas. Existe otro botón llamado «Cancelar» que
nos envía directamente a la página de administración de idiomas,
cancelando la operación.</p>


<br/>
<h3>Editar un idioma</h3>
<p>El administrador puede editar y modificar los idiomas de la base
de datos. Para ello, deberá pulsar el botón «Editar» del idioma
deseado desde la pantalla de administración de idiomas
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-idiomas-index">13</html:link>). La
Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-idiomas-editar">15</html:link>
muestra la pantalla para gestionar un idioma.</p>
<p>Una vez hayamos modificado los datos, pulsaremos el botón
«Guardar» para guardar los cambios. También podemos pulsar el botón
«Cancelar» para cancelar la operación.</p>

<br/>
<h3>Eliminar un idioma</h3>
<p>Para eliminar un idioma hay que pulsar en el botón «Eliminar»
desde la pantalla de administración de idiomas
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-idiomas-index">13</html:link>).
Entonces nos aparecerá un mensaje por pantalla para que confirmemos
la eliminación. Al eliminar un idioma, todos los datos asociados a
éste se eliminarán del sistema.</p>

<br/>
<html:link linkName="ambitos"><h2>Gestión de ámbitos</h2></html:link>
<p>Los ámbitos representan las posibles zonas geográficos a las que
pueden pertenecer las distintas asociaciones. Para acceder a la
pantalla de administración de ámbitos (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-ambitos-index">16</html:link>) debemos hacer clic en la
opción «Ámbitos» del menú de administración o en el enlace
«Ámbitos» que aparece en la página de administración.</p>
<p>Esta página muestra una tabla con todos los ámbitos de la base
de datos. Esta tabla tiene las siguientes columnas:</p>
<ul>
<li><span class="textbf">Nombre de Administración</span>. Es el
nombre que representa, independientemente del idioma, a un ámbito
determinado.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
acciones que se pueden realizar sobre cada uno de los ámbitos:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar un ámbito (botón editar).</dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar un ámbito (botón eliminar).</dd>
<dt><html:img page="/img/mundo.png" alt="Image mundo"/></dt>
<dd>Administrar las traducciones del ámbito (botón traducciones).</dd>
</dl>

</li>
</ul>
<p>Aparte de esta tabla, tenemos dos enlaces situados justo encima
de ella. El primero, «Crear Nuevo Ámbito», nos lleva al formulario
de creación de un nuevo ámbito. El segundo, «Volver», nos permite
volver a la página anterior.</p>
<p>Expliquemos cada una de las operaciones que podemos realizar
sobre los ámbitos.</p>

<html:link linkName="pag-admon-ambitos-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 16:</strong> Página de
administración de ámbitos.</caption>
<tr>
<td>
<html:img page="/img/admon-ambitos-index.png" alt="Image admon-ambitos-index"/></td>
</tr>
</table>


<br/>
<h3>Crear un nuevo ámbito</h3>
<p>Para crear un nuevo ámbito debemos hacer clic en el enlace
«Crear Nuevo Ámbito» de la página de administración de ámbitos
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-ambitos-index">16</html:link>).
Entonces, accederemos a la página que se muestra en la
Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-ambitos-nuevo">17</html:link>. El
único dato que se pide en esta pantalla es:</p>
<ul>
<li><span class="textbf">Nombre de Administración</span>. Un nombre
que representa, independientemente del idioma, a un ámbito
determinado y es utilizado para la administración de Codetic.
Puesto que el idioma nativo de los administradores es el español,
este atributo estará escrito en español. Como ejemplo, un posible
valor para este atributo sería «Internacional».</li>
</ul>
<p>Tras introducir este dato, haremos clic en el botón «Guardar y
crear otro» si deseamos insertar otro ámbito. En este caso, si los
datos introducidos son válidos, se crea el ámbito y se nos vuelve a
mostrar de nuevo el formulario vacío para que introduzcamos los
datos de un nuevo ámbito. Si no, haremos clic en el botón
«Guardar», con lo que el ámbito se creará, en el caso de que sus
datos sean válidos, y regresaremos a la página de administración de
ámbitos. Existe otro botón llamado «Cancelar» que, como su propio
nombre indica, cancela la operación, y nos envía a la página de
administración de ámbitos.</p>

<html:link linkName="pag-admon-ambitos-nuevo"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 17:</strong> Página de
creación de un nuevo ámbito.</caption>
<tr>
<td>
<html:img page="/img/admon-ambitos-nuevo.png" alt="Image admon-ambitos-nuevo"/></td>
</tr>
</table>


<br/>
<h3>Editar un ámbito</h3>
<p>Para modificar los datos de un ámbito, se deberá pulsar el botón
«Editar» del ámbito deseado desde la página de administración de
ámbitos (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-ambitos-index">16</html:link>). La Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-ambitos-editar">18</html:link> muestra la pantalla de
edición de un ámbito.</p>

<p>Una vez hayamos modificado los datos, pulsaremos el botón
«Guardar» para guardar los cambios. También podemos pulsar el botón
«Cancelar» para cancelar la operación.</p>

<html:link linkName="pag-admon-ambitos-editar"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 18:</strong> Página de
edición de un ámbito.</caption>
<tr>
<td>
<html:img page="/img/admon-ambitos-editar.png" alt="Image admon-ambitos-editar"/></td>
</tr>
</table>


<br/>
<h3>Eliminar un ámbito</h3>
<p>Para eliminar un ámbito hay que pulsar en el botón «Eliminar»
desde la pantalla de administración de ámbitos
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-ambitos-index">16</html:link>). Tras
esto, nos aparecerá un mensaje por pantalla para que confirmemos la
eliminación. Al eliminar un ámbito, todos los datos asociados a
éste se eliminarán de la base de datos.</p>


<br/>
<html:link linkName="trads-ambito"><h2>Gestión de las traducciones de un ámbito</h2></html:link>
<p>Es posible administrar las traducciones de un ámbito. Para ello,
pulsaremos el botón «Traducciones» del ámbito deseado desde la
pantalla de gestión de ámbitos (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-ambitos-index">16</html:link>).</p>
<p>La pantalla asociada a la gestión de las traducciones del ámbito
«Europa» aparece en la Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-ambitos-traducciones-index">19</html:link>, en la que se
muestra una tabla con las siguientes columnas:</p>
<ul>
<li><span class="textbf">Idioma</span>. Representa el idioma de la
traducción.</li>
<li><span class="textbf">Nombre</span>. Es el nombre del ámbito
escrito en el idioma de la traducción.</li>
<li><span class="textbf">Descripción</span>. Muestra la descripción
del ámbito escrita en el idioma de la traducción.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
operaciones que se pueden realizar sobre cada una de las
traducciones:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar una traducción (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar una traducción (botón eliminar).</dd>
</dl>

</li>
</ul>
<p>Más arriba de la tabla tenemos dos enlaces: «Crear Nueva
Traducción», para crear una nueva traducción, y «Volver», para
volver a la página anterior.</p>
<p>A continuación vamos a explicar cada una de las operaciones que
podemos realizar para administrar estas traducciones.</p>

<html:link linkName="pag-admon-ambitos-traducciones-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 19:</strong> Página de
administración de las traducciones de un ámbito.</caption>
<tr>
<td>
<html:img page="/img/admon-ambitos-traducciones-index.png" alt="Image admon-ambitos-traducciones-index"/></td>
</tr>
</table>

<br/>
<h3>Crear una nueva traducción</h3>
<p>Lo primero que debemos hacer es pulsar el enlace «Crear Nueva
Traducción» de la página de administración de traducciones del
ámbito (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-ambitos-traducciones-index">19</html:link>). Con ello,
visualizaremos la página que se muestra en la Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-ambitos-traducciones-nuevo">20</html:link>. A continuación,
debemos introducir los datos de la traducción en el formulario que
aparece en dicha página.</p>
<p>Los campos de este formulario son los siguientes:</p>
<ul>
<li><span class="textbf">Idioma</span>. Recoge el idioma de la
traducción.</li>
<li><span class="textbf">Nombre</span>. Es el nombre del ámbito
escrito en el idioma de la traducción.</li>
<li><span class="textbf">Descripción</span>. Muestra la descripción
del ámbito escrito en el idioma de la traducción.</li>
</ul>
<p>Una vez hayamos introducido los datos, pulsaremos en el botón
«Guardar y crear otro» si deseamos seguir creando nuevas
traducciones. En este caso, si los datos introducidos son válidos,
se crea la traducción y se nos vuelve a mostrar de nuevo el
formulario vacío para que introduzcamos los datos de una nueva
traducción. Si no, haremos clic en el botón «Guardar». Con esto, se
creará la traducción, siempre que sus datos sean válidos, y
regresaremos a la página de administración de traducciones del
ámbito. También existe un botón llamado «Cancelar» que nos envía
directamente a la página de administración de traducciones del
ámbito, cancelando así la operación de creación.</p>

<html:link linkName="pag-ambitos-traducciones-nuevo"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 20:</strong> Página de
creación de una nueva traducción de ámbito.</caption>
<tr>
<td>
<html:img page=
"/img/admon-ambitos-traducciones-nuevo.png" alt=
"Image admon-ambitos-traducciones-nuevo"/></td>
</tr>
</table>

<br/>
<h3>Editar una traducción</h3>
<p>Si queremos editar la traducción de un ámbito, haremos clic en
el botón «Editar» asociado a la traducción de dicho ámbito desde la
página de administración de traducciones del ámbito
(Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-ambitos-traducciones-index">19</html:link>). De esta
manera, accederemos a la pantalla mostrada en la
Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-ambitos-traducciones-editar">21</html:link>.</p>
<p>El próximo paso consiste en modificar los datos que queramos,
tras el cual pulsaremos el botón «Guardar» si deseamos que se
lleven a cabo los cambios realizados, o el botón «Cancelar», para
cancelar dichos cambios.</p>

<html:link linkName="pag-admon-ambitos-traducciones-editar"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 21:</strong> Página de
edición de una traducción de ámbito.</caption>
<tr>
<td>
<html:img page=
"/img/admon-ambitos-traducciones-editar.png" alt=
"Image admon-ambitos-traducciones-editar"/></td>
</tr>
</table>

<br/>
<h3>Eliminar una traducción</h3>
<p>Para eliminar una traducción simplemente hay que pulsar en el
botón «Eliminar» desde la pantalla de administración de las
traducciones de ámbito (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-ambitos-traducciones-index">19</html:link>). Seguidamente
nos aparecerá un mensaje por pantalla para que confirmemos si
realmente queremos eliminar dicha traducción.</p>



<br/>
<html:link linkName="asociaciones"><h2>Gestión de asociaciones</h2></html:link>
<p>La Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-asociaciones-index">22</html:link> muestra la pantalla de
gestión de asociaciones. Para acceder a ella debemos hacer clic en
la opción «Asociaciones y Códigos» del menú de administración o en
el enlace del mismo nombre que aparece en la página de
administración.</p>
<p>Esta pantalla muestra una tabla con todas las asociaciones que
existen en la base de datos. Las columnas de esta tabla son las
siguientes:</p>
<ul>
<li><span class="textbf">Ámbito</span>. Representa el ámbito
geográfico al que pertenece la asociación.</li>
<li><span class="textbf">Nombre</span>. Es el nombre completo de la
asociación escrito en el idioma «oficial» de ésta. Para las
asociaciones españolas este nombre estará escrito en español, para
las italianas en italiano, para las internacionales en inglés,
etc.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
acciones que se pueden realizar sobre cada una de las asociaciones:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar una asociación (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar una asociación (botón eliminar). </dd>
<dt><html:img page="/img/mundo.png" alt="Image mundo"/></dt>
<dd>Administrar las traducciones de la asociación (botón traducciones). </dd>
<dt><html:img page="/img/libro.png" alt="Image libro"/></dt>
<dd>Administrar los códigos éticos de la asociación (botón códigos).</dd>
</dl>

</li>
</ul>
<p>Además de la tabla, tenemos dos enlaces situados justo encima de
ella. El primero, «Crear Nueva Asociación», nos lleva al formulario
de creación de una nueva asociación. El segundo, «Volver», nos
permite volver a la página anterior.</p>
<p>Las operaciones que podemos realizar sobre las asociaciones son
las mismas que las que podemos realizar sobre cualquier otra
entidad: crear, editar y eliminar. Así, le remitimos al
apartado&nbsp;<html:link action="/admon/ayuda" anchor="ambitos">Gestión de ámbitos</html:link>, donde se
explica cómo se realizan todas estas operaciones para la entidad
ámbito. Lo único que debe tener en cuenta es que los datos
asociados a una asociación son distintos a los asociados a un
ámbito. Veamos cada uno de los datos asociados a una
asociación:</p>
<ul>
<li><span class="textbf">Ámbito</span>. Indica el ámbito geográfico
al que pertenece la asociación.</li>
<li><span class="textbf">Nombre</span>. Representa el nombre
completo de la asociación escrito en el idioma «oficial» de
ésta.</li>
<li><span class="textbf">Siglas</span>. Contiene las siglas de la
asociación.</li>
<li><span class="textbf">Web</span>. Contiene la dirección URL del
sitio web oficial de la asociación.</li>
<li><span class="textbf">Año de Creacion</span>. Recoge el año en
que se creó la asociación.</li>
</ul>
<br/>

<html:link linkName="pag-admon-asociaciones-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 22:</strong> Página de
administración de asociaciones.</caption>
<tr>
<td>
<html:img page=
"/img/admon-asociaciones-index.png" alt=
"Image admon-asociaciones-index"/></td>
</tr>
</table>


<br/>
<html:link linkName="trads-asociacion"><h2>Gestión de las traducciones de una 
asociación</h2></html:link>
<p>Para administrar las traducciones de una asociación, pulsaremos
el botón «Traducciones» de la asociación deseada desde la pantalla
de administración de asociaciones (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-asociaciones-index">22</html:link>).</p>
<p>La pantalla asociada a la administración de las traducciones de
la asociación ACM aparece en la Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-asociaciones-traducciones-index">23</html:link>, en la
que se muestra una tabla con las siguientes columnas:</p>
<ul>
<li><span class="textbf">Idioma</span>. Representa el idioma de la
traducción.</li>
<li><span class="textbf">Localización Geográfica</span>. Traducción
de la zona geográfica cubierta por la asociación. Por ejemplo,
«Nacional (España)» para el español, «National (Spain)» para el
inglés, etc.</li>
<li><span class="textbf">Descripción</span>. Muestra la descripción
de la asociación escrita en el idioma de la traducción.</li>
<li><span class="textbf">Acciones</span>. Contiene las distintas
acciones que se pueden realizar sobre cada una de las traducciones:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar una traducción (botón editar).</dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar una traducción (botón eliminar).</dd>
</dl>

</li>
</ul>
<p>Encima de esta tabla tenemos dos enlaces: «Crear Nueva
Traducción», para crear una nueva traducción, y «Volver», para
volver a la página anterior.</p>
<p>La forma de crear, editar y eliminar traducciones de
asociaciones es la misma que para el resto de traducciones. En el
apartado <html:link action="/admon/ayuda" anchor=
"trads-ambito">Gestión de las traducciones de un ámbito</html:link> se explica cómo
realizar todas estas acciones sobre las traducciones de ámbitos.
Sólo debe tener en cuenta que cada tipo de traducción tiene
asociados unos datos determinados. Para el caso de las traducciones
de asociaciones, estos datos son los siguientes:</p>
<ul>
<li><span class="textbf">Idioma</span>. Representa el idioma de la
traducción.</li>
<li><span class="textbf">Localización Geográfica</span>. Traducción
de la zona geográfica cubierta por la asociación. Por ejemplo,
«Nacional (España)» para el español, «National (Spain)» para el
inglés, etc.</li>
<li><span class="textbf">Descripción</span>. Muestra la descripción
de la asociación escrita en el idioma de la traducción.</li>
<li><span class="textbf">Comentarios</span>. Sirve para añadir
cualquier cosa sobre la asociación, que consideremos interesante,
como puede ser el número de socios, la dirección postal, el
director o presidente de la asociación, etc.</li>
</ul>
<br/>

<html:link linkName="pag-admon-asociaciones-traducciones-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 23:</strong> Página de
administración de las traducciones de una asociación.</caption>
<tr>
<td>
<html:img page="/img/admon-asociaciones-traducciones-index.png" 
alt="Image admon-asociaciones-traducciones-index"/></td>
</tr>
</table>

<br/>
<html:link linkName="codigos"><h2>Gestión de códigos éticos</h2></html:link>
<p>Para acceder a la página de gestión de los códigos éticos de una
determinada asociación debemos hacer clic en el botón
«Traducciones» de la asociación desde la página de gestión de
asociaciones (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-asociaciones-index">22</html:link>). Como ejemplo, la
Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-codigos-index">24</html:link> muestra
esta página para la asociación ACM.</p>
<p>Esta página muestra una tabla con todos los códigos éticos de la
asociación. Las columnas de esta tabla son:</p>
<ul>
<li><span class="textbf">Título Original</span>. Contiene el título
del código escrito en su idioma original.</li>
<li><span class="textbf">Año de Aprobación</span>. Contiene el año
en que se creó (aprobó) el código ético por parte de la
asociación.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
acciones que se pueden realizar sobre cada uno de los códigos
éticos:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar un idioma (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar un idioma (botón eliminar). </dd>
<dt><html:img page="/img/mundo.png" alt="Image mundo"/></dt>
<dd>Administrar las traducciones del código (botón traducciones). </dd>
<dt><html:img page="/img/secciones.png" alt="Image secciones"/></dt>
<dd>Administrar las secciones del código (botón secciones).</dd>
</dl>

</li>
</ul>
<p>Por encima de esta tabla tenemos dos enlaces. El primero, «Crear
Nuevo Código», nos lleva al formulario de creación de un nuevo
código. El segundo, «Volver», nos permite volver a la página
anterior.</p>

<html:link linkName="pag-admon-codigos-index" ></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 24:</strong> Página de
administración de los códigos éticos de la asociación
ACM.</caption>
<tr>
<td>
<html:img page=
"/img/admon-codigos-index.png" alt="Image admon-codigos-index"/></td>
</tr>
</table>

<p>Para ver cómo crear, editar y eliminar códigos, le remitimos al
Apartado&nbsp;<html:link action="/admon/ayuda" anchor="ambitos">3.5</html:link>, donde se
explica cómo se realizan todas estas operaciones para los ámbitos.
La forma de proceder es la misma en ambos casos. Lo único que
debemos tener en cuenta es que, para los códigos, los campos de los
formularios serán los siguientes:</p>
<ul>
<li><span class="textbf">Título Original</span>. Contiene el título
del código escrito en su idioma original.</li>
<li><span class="textbf">Web</span>. Recoge la dirección URL de la
página web oficial del código ético.</li>
<li><span class="textbf">Año de Aprobación</span>. Contiene el año
en que se aprobó el código ético.</li>
</ul>
<p>Si desea conocer cómo administrar las secciones que forman un
código, consulte el apartado <html:link action="/admon/ayuda" anchor=
"#subsubsec:GestionSecciones">Gestión de las secciones de un código</html:link>.</p>


<br/>
<html:link linkName="trads-codigo"><h2>Gestión de las traducciones de un código</h2></html:link>
<p>Para poder insertar traducciones de secciones de un código,
antes tenemos que crear una nueva traducción del código. La forma
de acceder a la página de administración de traducciones de un
determinado código es pinchando en el botón «Traducciones» asociado
a dicho código desde la página de administración de códigos
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-codigos-index">24</html:link>).</p>
<p>La página de administración de las traducciones del código «ACM
Code of Ethics and Professional Conduct», perteneciente a la
asociación ACM, aparece en la Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-codigos-traducciones-index">25</html:link>, en la que se
muestra una tabla con las siguientes columnas:</p>
<ul>
<li><span class="textbf">Idioma</span>. Indica el idioma de la
traducción.</li>
<li><span class="textbf">Título</span>. Contiene el título
traducido del código.</li>
<li><span class="textbf">Traductores</span>. Autores de la
traducción del código.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
acciones que se pueden realizar sobre cada uno de las traducciones:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar una traducción (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar una traducción (botón eliminar).</dd>
<dt><html:img page="/img/secciones.png" alt="Image secciones"/></dt>
<dd>Administrar las traducciones de las secciones asociadas a la traducción 
del código (botón secciones traducidas).</dd>
</dl>

</li>
</ul>
<p>Sobre esta tabla tenemos dos enlaces: «Crear Nueva Traducción»,
que nos lleva al formulario de creación de una nueva traducción, y
«Volver», que nos permite volver a la página anterior.</p>

<html:link linkName="pag-admon-codigos-traducciones-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 25:</strong> Página de
administración de las traducciones del código «ACM Code of Ethics
and Professional Conduct» perteneciente a la asociación
ACM.</caption>
<tr>
<td>
<html:img page=
"/img/admon-codigos-traducciones-index.png" alt=
"Image admon-codigos-traducciones-index"/></td>
</tr>
</table>

<p>Para ver cómo crear, editar y eliminar traducciones de código,
le remitimos al apartado&nbsp;<html:link action="/admon/ayuda" anchor=
"trads-ambito">Gestión de las traducciones de un ámbito</html:link>, donde se explica
cómo se realizan todas estas operaciones para las traducciones de
ámbitos. La forma de proceder es la misma en ambos casos. Lo único
que debemos tener en cuenta es que, para las traducciones de
código, los campos de los formularios serán los siguientes:</p>
<ul>
<li><span class="textbf">Idioma</span>. Es el idioma de la
traducción.</li>
<li><span class="textbf">Título</span>. Título del código.</li>
<li><span class="textbf">Texto Cabecera</span>. Texto que está
situado entre el título del código y la primera sección. Lo normal
es que contenga subtítulos, dedicatorias, etc.</li>
<li><span class="textbf">Texto Pié</span>. Texto que va al final
del código, inmediatamente después de la última sección.
Normalmente trata sobre la autoría del código, posibles
reconocimientos a personas o instituciones, la fecha de adopción
del código, etc.</li>
<li><span class="textbf">Traductores</span>. Autores de la
traducción del código.</li>
<li><span class="textbf">Comentarios de los Traductores</span>.
Comentarios sobre la traducción del código.</li>
<li><span class="textbf">Web de la Traducción</span>. Página web de
la traducción del código.</li>
</ul>


<br/>
<html:link linkName="secciones"><h2>Gestión de las secciones de un código</h2></html:link>
<p>Para administrar las secciones de un código, pulsaremos el botón
«Secciones» del código deseado desde la pantalla de administración
de códigos (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-codigos-index">24</html:link>).</p>
<p>La pantalla asociada a la administración de las secciones del
tema «ACM Code of Ethics and Professional Conduct», perteneciente a
la asociación ACM, la podemos encontrar en la Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-codigos-secciones-index">26</html:link>. En ella se
muestra una tabla con las siguientes columnas:</p>
<ul>
<li><span class="textbf">Nivel</span>. Indica todos los niveles a
los que pertenece la sección. Se representa mediante una cadena
formada por los niveles separados por un punto «.». De esta forma,
si almacena «3.10.6», indica que se trata del artículo 6 de la
subsección 10 de la sección 3. Este atributo nos permite establecer
una jerarquía dentro de las secciones de un código. Así,
tendremos secciones de primer nivel, con nivel=1,2..., de segundo
nivel, con nivel=1.1,1.2..., etc.</li>
<li><span class="textbf">Nombre de Administración</span>. Contiene
un nombre que representa, independientemente del idioma, a una
sección determinada y es utilizado para la administración de
Codetic. Normalmente coincidirá con el título de la sección.
Algunos posibles valores de este atributo son «Preámbulo»,
«Principio 1», etc.</li>
<li><span class="textbf">Acciones</span>. Contiene las distintas
acciones que se pueden realizar sobre cada una de las secciones:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar una sección (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar una sección (botón eliminar).</dd>
<dt><html:img page="/img/libro.png" alt="Image libro"/></dt>
<dd>Administrar las traducciones de la sección (botón traducciones).</dd>
</dl>

</li>
</ul>
<p>Encima de esta tabla tenemos un enlace que nos permite crear
nuevas secciones, llamado «Crear Nueva Sección», y otro para volver
a la página anterior, llamado «Volver».</p>

<html:link linkName="pag-admon-codigos-secciones-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 26:</strong> Página de
administración de las secciones del código «ACM Code of Ethics and
Professional Conduct», perteneciente a la asociación ACM.</caption>
<tr>
<td>
<html:img page=
"/img/admon-codigos-secciones-index.png" alt=
"Image admon-codigos-secciones-index"/></td>
</tr>
</table>

<p>Las acciones que podemos realizar sobre las secciones son las
mismas que las que podemos realizar sobre cualquier otra entidad:
crear, editar y eliminar. Así, le remitimos al
apartado&nbsp;<html:link action="/admon/ayuda" anchor="ambitos">Gestión de ámbitos</html:link>, donde se
explica cómo se realizan todas estas operaciones para la entidad
ámbito. La única cosa que debe tener en cuenta es que, para las
secciones, los formularios de creación y edición tendrán los
siguientes campos:</p>
<ul>
<li><span class="textbf">Nivel</span>. Como hemos visto
anteriormente, el valor de este campo muestra todos los niveles a
los que pertenece la sección.</li>
<li><span class="textbf">Nombre de Administación</span>. Es el
nombre usado para la administración de la sección.</li>
<li><span class="textbf">Temas</span>. Está formado por un conjunto
de casillas de verificación que podemos señalar para asociar uno o
más temas a la sección (véase el formulario de creación de una
sección, Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-codigos-secciones-nuevo">27</html:link>).</li>
</ul>

<br/>
<html:link linkName="pag-admon-codigos-secciones-nuevo"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 27:</strong> Página de
creación de una nueva sección del código «ACM Code of Ethics and
Professional Conduct», perteneciente a la asociación ACM.</caption>
<tr>
<td>
<html:img page=
"/img/admon-codigos-secciones-nuevo.png" alt=
"Image admon-codigos-secciones-nuevo"/></td>
</tr>
</table>


<br/>
<html:link linkName="trads-seccion"><h2>Gestión de las traducciones de una sección</h2></html:link>
<p>Haciendo clic sobre el botón «Traducciones» asociado a una
sección (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-codigos-secciones-index">26</html:link>), accederemos a
la página de administracción de sus traducciones
(Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-codigos-secciones-traducciones-index">28</html:link>).</p>
<p>Entonces, veremos una tabla con las siguientes columnas:</p>
<ul>
<li><span class="textbf">Idioma</span>. Muestra el idioma de la
traducción.</li>
<li><span class="textbf">Título</span>. Título «natural» de la
sección. Es el título que tiene la sección en el código. Pueden
existir secciones sin título.</li>
<li><span class="textbf">Seudotítulo</span>. Título «artificial» de
la sección. Cuando una sección no tiene título, es necesario darle
uno. Este es el título que se utiliza para las secciones sin título
«natural» cuando se muestran los resultados de una búsqueda.</li>
<li><span class="textbf">Texto</span>. Texto de la sección.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
operaciones que se pueden realizar sobre cada una de las
traducciones:


<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar una traducción (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar una traducción (botón eliminar).</dd>
</dl>

</li>
</ul>
<p>Más arriba de la tabla tenemos dos enlaces: «Crear Nueva
Traducción», para crear una nueva traducción, y «Volver», para
volver a la página anterior.</p>

<html:link linkName="pag-admon-codigos-secciones-traducciones-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 28:</strong> Página de
administración de las traducciones de una sección.</caption>
<tr>
<td>
<html:img page=
"/img/admon-codigos-secciones-traducciones-index.png" alt=
"Image admon-codigos-secciones-traducciones-index"/></td>
</tr>
</table>

<p>Si desea conocer cómo crear, editar y eliminar traducciones de
secciones, consulte el apartado <html:link action="/admon/ayuda" anchor=
"trads-ambito">Gestión de las traducciones de un ámbito</html:link>. Allí se explican
cómo realizar estas operaciones sobre las traducciones de ámbitos,
cuyo funcionamiento es el mismo que para cualquier tipo de
traducción. Los campos de los formularios asociados a una
traducción de sección, la mayoría de los cuales ya se han descrito,
son los siguientes:</p>
<ul>
<li><span class="textbf">Idioma</span>. Es el idioma de la
traducción.</li>
<li><span class="textbf">Título</span>. Título «natural» de la
sección.</li>
<li><span class="textbf">Seudotítulo</span>. Título «artificial» de
la sección.</li>
<li><span class="textbf">Texto</span>. Texto de la sección. Puede
incluir etiquetas HTML como &lt;b&gt;, &lt;i&gt;...</li>
<li><span class="textbf">Temas</span>. Está formado por un conjunto
de casillas de verificación que podemos señalar para asociar uno o
más temas a la sección.</li>
</ul>
<p>Aparte de esta, existe otra forma de crear, editar y eliminar
traducciones de secciones que es explicada en el
apartado <html:link action="/admon/ayuda" anchor=
"secciones-trad">Gestión de las traducciones de secciones asociadas a una traducción de código</html:link>.</p>


<br/>
<html:link linkName="secciones-trad"><h2>Gestión de las traducciones de secciones asociadas a una traducción
de código</h2></html:link>
<p>Codetic ofrece dos formas distintas de gestionar las
traducciones de las secciones. La primera de ellas es la que hemos
visto en el apartado&nbsp;<html:link action="/admon/ayuda" anchor=
"trads-seccion">Gestión de las traducciones de una sección</html:link> y nos permite
crear, modificar y eliminar las traducciones disponibles para una
sección determinada. La segunda es la que vamos a tratar aquí y
permite traducir de forma centralizada todas las secciones de un
código.</p>
<p>Cada traducción de código tiene una página de administración
propia desde la que podemos comprobar si existe alguna sección sin
traducir a dicho idioma. Para acceder a esta página
(Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-codigos-traducciones-secciones-index_alguna_">29</html:link>),
debemos hacer clic sobre el botón «Secciones Traducidas» de la
traducción correspondiente (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-codigos-traducciones-index">25</html:link>).</p>
<p>Con esto, veremos una tabla donde cada registro se corresponde
con la traducción, en el idioma de la traducción del código, de
cada una de las secciones del código. Las columnas de esta tabla
son las siguientes:</p>
<ul>
<li><span class="textbf">Nivel</span>. Indica todos los niveles a
los que pertenece la sección. Para una descripción más detallada de
este campo, consulte el apartado&nbsp;<html:link action="/admon/ayuda" anchor=
"secciones">Gestión de las secciones de un código</html:link>.</li>
<li><span class="textbf">Título</span>. Título «natural» de la
sección. Es el título que tiene la sección en el código. Pueden
existir secciones sin título.</li>
<li><span class="textbf">Seudotítulo</span>. Título «artificial» de
la sección. Cuando una sección no tiene título, es necesario darle
uno. Este es el título que se utiliza para las secciones sin título
«natural» cuando se muestran los resultados de una búsqueda.</li>
<li><span class="textbf">Texto</span>. Texto de la sección.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
operaciones que se pueden realizar sobre cada una de las
traducciones:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar una traducción (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar una traducción (botón eliminar).</dd>
</dl>

</li>
</ul>
<p>Esta tabla, además, tiene una cabecera o título donde se indica
el número de secciones que quedan por traducir. En caso de que
quede alguna, podremos traducirlas de forma individual haciendo
clic sobre el enlace «Traducir» que aparece en la fila
correspondiente a la sección no traducida. También tendremos la
posibilidad de traducirlas todas secuencialmente gracias al enlace
«Traducir las secciones no traducidas», situado encima de la
tabla.</p>
<p>Si lo que queremos es volver a la página anterior, haremos clic
en «Volver».</p>

<html:link linkName="pag-admon-codigos-traducciones-secciones-index_alguna"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 29:</strong> Página de
administración de las traducciones de secciones asociadas a una
traducción de código en la que quedan secciones por
traducir.</caption>
<tr>
<td>
<html:img page="/img/admon-codigos-traducciones-secciones-index_alguna.png" 
alt="Image admon-codigos-traducciones-secciones-index_alguna"/></td>
</tr>
</table>

<p>Para ver cómo se crean, editan y eliminan traducciones de
secciones, consulte el apartado <html:link action="/admon/ayuda" anchor=
"trads-ambito">Gestión de las traducciones de un ámbito</html:link>. Allí se explican
cómo realizar estas operaciones sobre las traducciones de ámbitos,
cuyo funcionamiento es el mismo que para cualquier tipo de
traducción. Los campos de los formularios asociados a una
traducción de sección, la mayoría de los cuales ya se han descrito,
son los siguientes:</p>
<ul>
<li><span class="textbf">Nivel</span>. Indica todos los niveles a
los que pertenece la sección.</li>
<li><span class="textbf">Título</span>. Título «natural» de la
sección.</li>
<li><span class="textbf">Seudotítulo</span>. Título «artificial» de
la sección.</li>
<li><span class="textbf">Texto</span>. Texto de la sección. Puede
incluir etiquetas HTML como &lt;b&gt;, &lt;i&gt;...</li>
<li><span class="textbf">Temas</span>. Está formado por un conjunto
de casillas de verificación que podemos señalar para asociar uno o
más temas a la sección.</li>
</ul>



<br/>
<html:link linkName="trad-completa"><h2>Cómo insertar la traducción completa de un código</h2></html:link>
<p>De forma resumida, los pasos que debemos seguir para insertar la
traducción completa de un código son los siguientes:</p>
<ol>
<li><html:link action="/admon/ayuda" anchor=
"codigos">Crear un nuevo código</html:link></li>
<li><html:link action="/admon/ayuda" anchor=
"secciones">Crear las secciones de dicho código</html:link></li>
<li><html:link action="/admon/ayuda" anchor=
"trads-codigo">Crear la traducción del código</html:link></li>
<li><html:link action="/admon/ayuda" anchor=
"secciones-trad">Traducir todas las secciones del código</html:link></li>
</ol>


<br/>
<html:link linkName="temas"><h2>Gestión de temas</h2></html:link>
<p>Los temas son otras de las entidades que podemos gestionar como
administradores. Para acceder a la página de gestión de temas
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-temas-index">30</html:link>),
podemos hacer clic en la opción «Temas» del menú de administración
o en el enlace «Temas» de la página principal de
administración.</p>
<p>La página de administración de temas muestra una tabla con todos
los temas que existen en la base de datos. Las columnas de esta
tabla son las siguientes:</p>
<ul>
<li><span class="textbf">Grupo</span>. Indica el grupo de temas al
cual pertenece el tema.</li>
<li><span class="textbf">Nombre de Administración</span>. Es el
nombre usado para la administración del tema.</li>
<li><span class="textbf">Acciones</span>. Muestra un botón por cada
una de las diversas acciones que se pueden realizar sobre cada uno
de los temas:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar un tema (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/><dt>
<dd>Eliminar un tema (botón eliminar). </dd>
<dt><html:img page="/img/mundo.png" alt="Image mundo"/></dt>
<dd>Administrar las traducciones del tema (botón traducciones).</dd>
</dl>

</li>
</ul>
<br/>

<html:link linkName="pag-admon-temas-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 30:</strong> Página de
administración de temas.</caption>
<tr>
<td>
<html:img page=
"/img/admon-temas-index.png" alt="Image admon-temas-index"/></td>
</tr>
</table>

<p>Para ver cómo crear, editar y eliminar temas, le remitimos al
apartado <html:link action="/admon/ayuda" anchor="ambitos">Gestión de ámbitos</html:link>, donde se
explica cómo se realizan todas estas operaciones para los ámbitos.
La forma de proceder es la misma en ambos casos. Lo único que
debemos tener en cuenta es que, para los temas, los campos de los
formularios serán los siguientes:</p>
<ul>
<li><span class="textbf">Grupo</span>. Contiene el grupo de temas
al que se encuentra asociado el tema.</li>
<li><span class="textbf">Nombre de Administración</span>. Este
campo da nombre, independientemente del idioma, al tema y es
utilizado para la administración de Codetic.</li>
</ul>


<br/>
<html:link linkName="trads-tema"><h2>Gestión de las traducciones de los temas</h2></html:link>
<p>Para administrar las traducciones de un tema, pulsaremos el
botón «Traducciones» del tema deseado desde la pantalla de
administración de temas (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-temas-index">30</html:link>).</p>
<p>La pantalla asociada a la administración de las traducciones del
tema «Apoyo y defensa a la asociación» aparece en la
Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-temas-traducciones-index">31</html:link>, en la que se
muestra una tabla con las siguientes columnas:</p>
<ul>
<li><span class="textbf">Idioma</span>. Representa el idioma de la
traducción.</li>
<li><span class="textbf">Nombre</span>. Es el nombre del tema
escrito en el idioma de la traducción.</li>
<li><span class="textbf">Descripción</span>. Muestra la descripción
del tema escrita en el idioma de la traducción.</li>
<li><span class="textbf">Acciones</span>. Contiene las distintas
acciones que se pueden realizar sobre cada una de las traducciones:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar una traducción (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar una traducción (botón eliminar).</dd>
</dl>

</li>
</ul>
<p>Encima de esta tabla tenemos dos enlaces: «Crear Nueva
Traducción», para crear una nueva traducción, y «Volver», para
volver a la página anterior.</p>

<html:link linkName="pag-admon-temas-traducciones-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 31:</strong> Página de
administración de las traducciones de un tema.</caption>
<tr>
<td>
<html:img page=
"/img/admon-temas-traducciones-index.png" alt=
"Image admon-temas-traducciones-index"/></td>
</tr>
</table>

<p>La forma de crear, editar y eliminar traducciones de temas es la
misma que para el resto de traducciones. En el
apartado&nbsp;<html:link action="/admon/ayuda" anchor=
"trads-ambito">Gestión de las traducciones de un ámbito</html:link> se explica cómo
realizar todas estas acciones sobre las traducciones de ámbitos. La
única cosa que debe tener en cuenta es que, para los temas, los
formularios de creación y edición tendrán los siguientes
campos:</p>
<ul>
<li><span class="textbf">Idioma</span>. Recoge el nombre de la
traducción.</li>
<li><span class="textbf">Nombre</span>. Es el nombre del tema
escrito en el idioma de la traducción.</li>
<li><span class="textbf">Descripción</span>. Muestra la descripción
del tema escrita en el idioma de la traducción.</li>
<li><span class="textbf">Palabras Clave</span>. Lista de palabras,
términos, frases, etc. que ayudan a describir y definir el
tema.</li>
</ul>


<br/>
<html:link linkName="grupos"><h2>Gestión de grupos de temas</h2></html:link>
<p>Para acceder a la pantalla de administración de grupos de temas
(Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-grupos-index">32</html:link>)
debemos hacer clic en la opción «Grupos de temas» del menú de
administración o en el enlace «Grupos de temas» que aparece en la
página de administración.</p>
<p>Esta página muestra una tabla con todos los grupos de temas de
la base de datos. Esta tabla tiene las siguientes columnas:</p>
<ul>
<li><span class="textbf">Nombre de Administración</span>. Es el
nombre que representa, independientemente del idioma, a un grupo
determinado.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
acciones que se pueden realizar sobre cada uno de los grupos de
temas

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar un grupo de temas (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar un grupo de temas (botón eliminar). </dd>
<dt><html:img page="/img/mundo.png" alt="Image mundo"/></dt>
<dd>Administrar las traducciones del grupo de temas (botón traducciones).</dd>
</dl>

</li>
</ul>
<p>Aparte de esta tabla, tenemos dos enlaces situados justo encima
de ella. El primero, «Crear Nuevo Ámbito», nos lleva al formulario
de creación de un nuevo grupo de temas. El segundo, «Volver», nos
permite volver a la página anterior.</p>

<html:link linkName="pag-admon-grupos-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 32:</strong> Página de
administración de los grupos de temas.</caption>
<tr>
<td>
<html:img page=
"/img/admon-grupos-index.png" alt="Image admon-grupos-index"/></td>
</tr>
</table>

<p>Las operaciones que podemos realizar sobre los grupos de temas
son las mismas que las que podemos realizar sobre cualquier otra
entidad: crear, editar y eliminar. Así, le remitimos al
apartado <html:link action="/admon/ayuda" anchor="ambitos">Gestión de ámbitos</html:link>, donde se
explica cómo se realizan todas estas operaciones para la entidad
ámbito. Lo único que debe tener en cuenta es que los datos
asociados a un grupo de temas son distintos a los asociados a un
ámbito. El único dato asociado a los grupos de temas es el
siguiente:</p>
<ul>
<li><span class="textbf">Nombre de Administración</span>. Contiene
un nombre que representa, independientemente del idioma, al grupo
de temas. Es utilizado para la administración de Codetic.</li>
</ul>


<br/>
<html:link linkName="trads-grupo"><h2>Gestión de las traducciones de los grupos de temas</h2></html:link>
<p>Es posible administrar las traducciones de un grupo de temas.
Para ello, pulsaremos el botón «Traducciones» del grupo de temas
cuyas traducciones queramos gestionar, desde la pantalla de gestión
de grupos (Figura&nbsp;<html:link action="/admon/ayuda" anchor=
"pag-admon-grupos-index">32</html:link>).</p>
<p>La pantalla asociada a la gestión de las traducciones del grupo
de temas «Desarrollo Profesional» aparece en la
Figura&nbsp;<html:link action="/admon/ayuda" anchor="pag-admon-grupos-traducciones-index">33</html:link>,
en la que se muestra una tabla con las siguientes columnas:</p>
<ul>
<li><span class="textbf">Idioma</span>. Representa el idioma de la
traducción.</li>
<li><span class="textbf">Nombre</span>. Es el nombre del grupo
escrito en el idioma de la traducción.</li>
<li><span class="textbf">Descripción</span>. Muestra la descripción
del grupo escrita en el idioma de la traducción.</li>
<li><span class="textbf">Acciones</span>. Contiene las diversas
operaciones que se pueden realizar sobre cada una de las
traducciones:

<dl>
<dt><html:img page="/img/editar.png" alt="Image editar"/></dt>
<dd>Editar una traducción (botón editar). </dd>
<dt><html:img page="/img/eliminar.png" alt="Image eliminar"/></dt>
<dd>Eliminar una traducción (botón eliminar).</dd>
</dl>

</li>
</ul>
<p>Más arriba de la tabla tenemos dos enlaces: «Crear Nueva
Traducción», para crear una nueva traducción, y «Volver», para
volver a la página anterior.</p>

<html:link linkName="pag-admon-grupos-traducciones-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 33:</strong> Página de
administración de las traducciones de un grupo de temas.</caption>
<tr>
<td>
<html:img page="/img/admon-grupos-traducciones-index.png"/></td>
</tr>
</table>

<p>Si desea conocer cómo crear, editar y eliminar traducciones de
grupos de temas, consulte el apartado <html:link action="/admon/ayuda" anchor=
"trads-ambito">Gestión de las traducciones de un ámbito</html:link>. Allí se explican
cómo realizar estas operaciones sobre las traducciones de ámbitos,
pero su funcionamiento es igual que para cualquier tipo de
traducción. Los campos de los formularios asociados a una
traducción de grupo son los siguientes:</p>
<ul>
<li><span class="textbf">Idioma</span>. Recoge el idioma de la
traducción.</li>
<li><span class="textbf">Nombre</span>. Es el nombre del grupo
escrito en el idioma de la traducción.</li>
<li><span class="textbf">Descripción</span>. Muestra la descripción
del grupo escrito en el idioma de la traducción.</li>
</ul>
<br/><br/>

</div>