<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>

<%-- Beans --%>
<bean:parameter id="idAsociacion" name="idAsociacion"/>
<bean:parameter id="idCodigo" name="idCodigo"/>
<bean:parameter id="nivel" name="nivel"/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <html:link action="/admon/codigos/index?idAsociacion=${idAsociacion}"><bean:message key="menu.admon.codigos.index"/></html:link>
> <html:link action="/admon/codigos/secciones/index?idAsociacion=${idAsociacion}&idCodigo=${idCodigo}"><bean:message key="menu.admon.codigos.secciones.index"/></html:link>
> <html:link action="/admon/codigos/secciones/traducciones/index?idAsociacion=${idAsociacion}&idCodigo=${idCodigo}&nivel=${nivel}"><bean:message key="menu.traducciones.index"/></html:link>
> <bean:message key="menu.traducciones.nuevo"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.traducciones"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">[${seccion.nivel}] ${seccion.nombreAdmon}</span>, ${codigo.tituloOriginal}, ${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></p>
</div>

<h3><bean:message key="admon.codigos.secciones.traducciones.editar.titulo"/></h3>

<!-- Mostrar errores -->
<logic:messagesPresent>
  <div id="errores">
    <html:img srcKey="img.error" width="14" height="13"/> <p><bean:message key="forms.errores"/></p>
    <ul>
    <html:messages id="error">
      <li><bean:write name="error"/></li>
    </html:messages>
    </ul>
  </div>
  <br/>
</logic:messagesPresent>

<html:form action="/admon/codigos/secciones/traducciones/actualizar" focus="nivel" enctype="text/plain;charset=UTF-8">
  <html:hidden name="traduccionSeccion" property="idCodigo"/>
  <html:hidden property="idAsociacion" value="${idAsociacion}"/>
  <html:hidden name="traduccionSeccion" property="nivel"/>
  <table class="form">
    <tr>
      <th>
        <label for="idIdioma"><bean:message key="forms.TraduccionSeccionForm.campos.idIdioma"/>*</label>
      </th>
      <td>
        <html:text name="traduccionSeccion" property="idIdioma" size="2" maxlength="2" disabled="true"/> 
        <%-- Debemos ponerlo porque el campo de arriba está deshabilitado --%>   
        <html:hidden name="traduccionSeccion" property="idIdioma"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="titulo"><bean:message key="forms.TraduccionSeccionForm.campos.titulo"/>**</label>
      </th>
      <td>
        <html:text name="traduccionSeccion" property="titulo" maxlength="255" size="50"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="seudotitulo"><bean:message key="forms.TraduccionSeccionForm.campos.seudotitulo"/>**</label>
      </th>
      <td>
        <html:text name="traduccionSeccion" property="seudotitulo" maxlength="255" size="50"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="texto"><bean:message key="forms.TraduccionSeccionForm.campos.texto"/></label>
      </th>
      <td>
        <html:textarea name="traduccionSeccion" property="texto" cols="40" rows="6"/>
      </td>
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
  <table class="form">
    <tr>
      <th>
        <label for="temas"><bean:message key="forms.TraduccionSeccionForm.campos.temas"/></label>
      </th>
      <td class="fondoTemas">
        <c:if test="${grupoi >= 1}">
        <c:forEach items="${mapGruposYTemas}" var="a" end="${grupoi - 1}">
          <span class="grupo">${a.key.nombreAdmon}</span><br/>
          <c:forEach var="tema" items="${a.value}">
            <html:multibox styleClass="tema" name="seccion" property="temas"> 
              <c:out value="${tema.idTema}"/>
            </html:multibox>
            <c:out value="${tema.nombreAdmon}"/><br/>
          </c:forEach>
        </c:forEach>
        </c:if>
        <c:forEach items="${mapGruposYTemas}" var="a" begin="${grupoi}" end="${grupoi}">
          <span class="grupo">${a.key.nombreAdmon}</span><br/>
          <c:if test="${temaj > 0}">
          <c:forEach var="tema" items="${a.value}" end="${temaj}">
            <html:multibox styleClass="tema" name="seccion" property="temas"> 
              <c:out value="${tema.idTema}"/>
            </html:multibox>
            <c:out value="${tema.nombreAdmon}"/><br/>
          </c:forEach>
          </c:if>
        </c:forEach>    
      </td>
      <td class="fondoTemas">
      <c:if test="${temaj < ntemas}">
        <c:forEach items="${mapGruposYTemas}" var="a" begin="${grupoi}" end="${grupoi}">
          <c:if test="${temaj == ntemas}">
          <span class="grupo">${a.key.nombreAdmon}</span><br/>
          </c:if>
          <c:forEach var="tema" items="${a.value}" begin="${temaj + 1}">
            <html:multibox styleClass="tema" name="seccion" property="temas"> 
              <c:out value="${tema.idTema}"/>
            </html:multibox>
            <c:out value="${tema.nombreAdmon}"/><br/>
          </c:forEach>
        </c:forEach>   
      </c:if>
        <c:forEach items="${mapGruposYTemas}" var="a" begin="${grupoi + 1}">
          <span class="grupo">${a.key.nombreAdmon}</span><br/>
          <c:forEach var="tema" items="${a.value}">
            <html:multibox styleClass="tema" name="seccion" property="temas"> 
              <c:out value="${tema.idTema}"/>
            </html:multibox>
            <c:out value="${tema.nombreAdmon}"/><br/>
          </c:forEach>
        </c:forEach>   
      </td>      
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td colspan="2">
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
</html:form>

<p class="small"><bean:message key="frase.camposConAsterisco"/></p>
<p class="small"><bean:message key="frase.camposConDobleAsterisco"/></p>

<br/>