<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ taglib uri="/tags/fn" prefix="fn" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<%-- Beans --%>
<bean:parameter id="idAsociacion" name="idAsociacion"/>
<bean:parameter id="idCodigo" name="idCodigo"/>
<bean:parameter id="idIdioma" name="idIdioma"/>
<c:set var="totalSecciones" value="${fn:length(mapSeccionesYTraducciones)}"/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <html:link action="/admon/codigos/index?idAsociacion=${idAsociacion}"><bean:message key="menu.admon.codigos.index"/></html:link>
> <html:link action="/admon/codigos/traducciones/index?idAsociacion=${idAsociacion}&idCodigo=${idCodigo}"><bean:message key="menu.traducciones.index"/></html:link>
> <bean:message key="menu.admon.codigos.traducciones.secciones.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.seccionesTraducidas"/></h1>
<p><bean:message key="palabra.al"/> <span class="negrita">${idioma.nombre} (${idioma.idIdioma})</span>, ${codigo.tituloOriginal}, ${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></p>
</div>

<p><bean:message key="admon.codigos.traducciones.secciones.index.intro"/></p>

<p>
<c:if test="${totalSinTraducir > 0}">
<html:link action="/admon/codigos/traducciones/secciones/nuevo?accion=comenzar&idIdioma=${idIdioma}&idCodigo=${idCodigo}&idAsociacion=${idAsociacion}"><bean:message key="admon.codigos.traducciones.secciones.index.traducirTodas"/></html:link>
| 
</c:if>
<html:link action="/admon/codigos/traducciones/index?idCodigo=${idCodigo}&idAsociacion=${idAsociacion}"><bean:message key="prompt.volver"/></html:link>
</p>

<%-- Mostrar la tabla si existen secciones --%>
<logic:notEmpty name="mapSeccionesYTraducciones">
<table class="seccionesTraducidas">
  <c:if test="${totalSecciones > 0}">
  <caption>
  <c:choose>
    <c:when test="${totalSinTraducir == 0}">
      <html:img srcKey="img.exito" width="15" height="15"/>
      <bean:message key="admon.codigos.traducciones.secciones.index.todasTraducidas"/>
    </c:when>
    <c:otherwise>
      <html:img srcKey="img.error" width="14" height="13"/>    
      <c:choose>
        <c:when test="${totalSinTraducir < totalSecciones}">
            <bean:message arg0="${totalSinTraducir}" key="admon.codigos.traducciones.secciones.index.sinTraducir"/>
        </c:when>
        <c:otherwise>
            <bean:message key="admon.codigos.traducciones.secciones.index.todasSinTraducir"/>
        </c:otherwise>
      </c:choose>
    </c:otherwise>
  </c:choose>
  </caption>
  </c:if>
  <thead>
    <tr>
      <th><bean:message key="forms.TraduccionSeccionForm.campos.nivel"/></th>
      <th><bean:message key="forms.TraduccionSeccionForm.campos.titulo"/></th>
      <th><bean:message key="forms.TraduccionSeccionForm.campos.seudotitulo"/></th>
      <th><bean:message key="forms.TraduccionSeccionForm.campos.texto"/></th>
      <th><bean:message key="admon.tabla.acciones"/></th>
    </tr>
  </thead>
  <tbody>
    <c:forEach var="entrada" items="${mapSeccionesYTraducciones}" varStatus="lineInfo">
    <c:set var="seccion" value="${entrada.key}"/>
    <c:set var="tradSeccion" value="${entrada.value}"/>
    <c:set var="maxLength" value="25"/>
    <c:choose>
      <c:when test="${lineInfo.count % 2 == 0}">
       <tr class="even"> 
      </c:when> 
      <c:otherwise>
       <tr class="odd"> 
      </c:otherwise>
    </c:choose>
       <td>${seccion.nivel}</td>
    <c:choose>
      <c:when test="${not empty tradSeccion}">
       <%-- Titulo --%>
       <c:choose>
         <c:when test="${fn:length(tradSeccion.titulo) <= maxLength}">
           <td>${tradSeccion.titulo}</td>
         </c:when> 
         <c:otherwise>
          <td>${fn:substring(tradSeccion.titulo, 0, maxLength)}...</td>
         </c:otherwise>
       </c:choose>
       <%-- Seudotitulo --%>
       <c:choose>
         <c:when test="${fn:length(tradSeccion.seudotitulo) <= maxLength}">
           <td>${tradSeccion.seudotitulo}</td>
         </c:when> 
         <c:otherwise>
          <td>${fn:substring(tradSeccion.seudotitulo, 0, maxLength)}...</td>
         </c:otherwise>
       </c:choose>
       <%-- Texto --%>
       <c:choose>
         <c:when test="${fn:length(tradSeccion.texto) <= maxLength}">
           <td>${tradSeccion.texto}</td>
         </c:when> 
         <c:otherwise>
          <td>${fn:substring(tradSeccion.texto, 0, maxLength)}...</td>
         </c:otherwise>
       </c:choose>
       <td>
         <html:link action="/admon/codigos/traducciones/secciones/editar?idIdioma=${tradSeccion.idIdioma}&nivel=${tradSeccion.nivel}&idCodigo=${tradSeccion.idCodigo}&idAsociacion=${idAsociacion}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
         <html:link action="/admon/codigos/traducciones/secciones/eliminar?idIdioma=${tradSeccion.idIdioma}&nivel=${tradSeccion.nivel}&idCodigo=${tradSeccion.idCodigo}&idAsociacion=${idAsociacion}"  onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
       </td>
      </c:when> 
      <c:otherwise>
       <td colspan="4" style="text-align: center;"><html:link action="/admon/codigos/traducciones/secciones/nuevo?accion=crear&idIdioma=${idIdioma}&idCodigo=${idCodigo}&idAsociacion=${idAsociacion}&nivel=${seccion.nivel}"><bean:message key="admon.codigos.traducciones.secciones.index.traducir"/></html:link></td>
      </c:otherwise>
    </c:choose>
    </tr>
    </c:forEach>
  </tbody>
</table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<%-- Decir que no existen secciones --%>
<logic:empty name="mapSeccionesYTraducciones">
  <p><bean:message key="admon.codigos.traducciones.secciones.index.ninguno"/></p>
</logic:empty>

<br/>

<%--  
<display:table class="displaytag" style="margin:0;" name="listaSeccionesTraducidas" id="tradSeccion" requestURI="/codetic/admon/codigos/traducciones/secciones/index.do" defaultorder="ascending" defaultsort="1">
  <display:caption style="background-color: #E7EEFF; padding: 3px; font-size: .7em; border: 1px solid #6685BD; border-bottom: none; text-align: left; margin:0; ">
    <html:img srcKey="img.error" width="14" height="13"/> Existen 4 secciones sin traducir.
  </display:caption>
  <display:column property="nivel" sortable="true" titleKey="forms.TraduccionSeccionForm.campos.nivel"/>
  <display:column property="titulo" maxLength="25" titleKey="forms.TraduccionSeccionForm.campos.titulo"/>
  <display:column property="seudotitulo" maxLength="25" titleKey="forms.TraduccionSeccionForm.campos.seudotitulo"/>
  <display:column property="texto" maxLength="25" titleKey="forms.TraduccionSeccionForm.campos.texto"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/codigos/traducciones/secciones/editar?idIdioma=${tradSeccion.idIdioma}&idIdioma=${idIdioma}&idCodigo=${tradSeccion.idCodigo}&idAsociacion=${idAsociacion}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/codigos/traducciones/secciones/eliminar?idIdioma=${tradSeccion.idIdioma}&idIdioma=${idIdioma}&idCodigo=${tradSeccion.idCodigo}&idAsociacion=${idAsociacion}"  onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
  </display:column>    
</display:table>
--%>