<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-tiles" prefix="tiles" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>

<%-- Beans --%>
<bean:parameter id="idAsociacion" name="idAsociacion"/>
<bean:parameter id="idCodigo" name="idCodigo"/>
<bean:parameter id="idIdioma" name="idIdioma"/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <html:link action="/admon/codigos/index?idAsociacion=${idAsociacion}"><bean:message key="menu.admon.codigos.index"/></html:link>
> <html:link action="/admon/codigos/traducciones/index?idAsociacion=${idAsociacion}&idCodigo=${idCodigo}"><bean:message key="menu.traducciones.index"/></html:link>
> <html:link action="/admon/codigos/traducciones/secciones/index?idIdioma=${idIdioma}&idAsociacion=${idAsociacion}&idCodigo=${idCodigo}"><bean:message key="menu.admon.codigos.traducciones.secciones.index"/></html:link>
> <bean:message key="menu.traducciones.nuevo"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.seccionesTraducidas"/></h1>
<p><bean:message key="palabra.al"/> <span class="negrita">${idioma.nombre} (${idioma.idIdioma})</span>, ${codigo.tituloOriginal}, ${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></p>
</div>

<h3><bean:message key="admon.codigos.traducciones.secciones.nuevo.titulo"/></h3>

<logic:present name="numeroSeccion">
  <p><bean:message key="admon.codigos.traducciones.secciones.nuevo.intro" arg0="${numeroSeccion}" arg1="${totalSinTraducir}"/>: ${seccion.nombreAdmon}</p>
</logic:present>
<logic:notPresent name="numeroSeccion">
  <p><bean:message key="admon.codigos.traducciones.secciones.nuevo.seccion"/>: ${seccion.nombreAdmon}</p>
</logic:notPresent>

<!-- Mostrar errores -->
<logic:messagesPresent>
  <div id="errores">
    <html:img srcKey="img.error" width="14" height="13"/> <p><bean:message key="forms.errores"/></p>
    <ul>
    <html:messages id="error">
      <li><bean:write name="error"/></li>
    </html:messages>
    </ul>
  </div>
  <br/>
</logic:messagesPresent>

<html:form action="/admon/codigos/traducciones/secciones/crear" focus="titulo" enctype="text/plain;charset=UTF-8">
  <html:hidden property="idCodigo" value="${idCodigo}"/>
  <html:hidden property="idAsociacion" value="${idAsociacion}"/>
  <html:hidden property="idIdioma" value="${idIdioma}"/>
  <html:hidden property="nivel" value="${seccion.nivel}"/>
  <html:hidden property="accionAnterior" value="${param.accion}"/>
  <table class="form">
    <tr>
      <th>
        <label for="nivel"><bean:message key="forms.TraduccionSeccionForm.campos.nivel"/>*</label>
      </th>
      <td>
        <html:text name="seccion" property="nivel" maxlength="255" size="50" disabled="true"/> 
        <%-- Debemos ponerlo porque el campo de arriba está deshabilitado --%>   
        <html:hidden name="seccion" property="nivel"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="titulo"><bean:message key="forms.TraduccionSeccionForm.campos.titulo"/>**</label>
      </th>
      <td>
        <html:text property="titulo" maxlength="255" size="50"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="seudotitulo"><bean:message key="forms.TraduccionSeccionForm.campos.seudotitulo"/>**</label>
      </th>
      <td>
        <html:text property="seudotitulo" maxlength="255" size="50"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="texto"><bean:message key="forms.TraduccionSeccionForm.campos.texto"/></label>
      </th>
      <td>
        <html:textarea property="texto" cols="40" rows="6"/>
      </td>
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td>
        <logic:present name="numeroSeccion">
        <c:if test="${numeroSeccion < totalSinTraducir}">
        <html:submit property="accion"><bean:message key="forms.botones.continuar"/></html:submit>
        </c:if>
        </logic:present>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
  <table class="form">
    <tr>
      <th>
        <label for="temas"><bean:message key="forms.TraduccionSeccionForm.campos.temas"/></label>
      </th>
      <td class="fondoTemas">
        <c:if test="${grupoi >= 1}">
        <c:forEach items="${mapGruposYTemas}" var="a" end="${grupoi - 1}">
          <span class="grupo">${a.key.nombreAdmon}</span><br/>
          <c:forEach var="tema" items="${a.value}">
            <html:multibox styleClass="tema" name="seccion" property="temas"> 
              <c:out value="${tema.idTema}"/>
            </html:multibox>
            <c:out value="${tema.nombreAdmon}"/><br/>
          </c:forEach>
        </c:forEach>
        </c:if>
        <c:forEach items="${mapGruposYTemas}" var="a" begin="${grupoi}" end="${grupoi}">
          <span class="grupo">${a.key.nombreAdmon}</span><br/>
          <c:if test="${temaj > 0}">
          <c:forEach var="tema" items="${a.value}" end="${temaj}">
            <html:multibox styleClass="tema" name="seccion" property="temas"> 
              <c:out value="${tema.idTema}"/>
            </html:multibox>
            <c:out value="${tema.nombreAdmon}"/><br/>
          </c:forEach>
          </c:if>
        </c:forEach>    
      </td>
      <td class="fondoTemas">
      <c:if test="${temaj < ntemas}">
        <c:forEach items="${mapGruposYTemas}" var="a" begin="${grupoi}" end="${grupoi}">
          <c:if test="${temaj == ntemas}">
          <span class="grupo">${a.key.nombreAdmon}</span><br/>
          </c:if>
          <c:forEach var="tema" items="${a.value}" begin="${temaj + 1}">
            <html:multibox styleClass="tema" name="seccion" property="temas"> 
              <c:out value="${tema.idTema}"/>
            </html:multibox>
            <c:out value="${tema.nombreAdmon}"/><br/>
          </c:forEach>
        </c:forEach>   
      </c:if>
        <c:forEach items="${mapGruposYTemas}" var="a" begin="${grupoi + 1}">
          <span class="grupo">${a.key.nombreAdmon}</span><br/>
          <c:forEach var="tema" items="${a.value}">
            <html:multibox styleClass="tema" name="seccion" property="temas"> 
              <c:out value="${tema.idTema}"/>
            </html:multibox>
            <c:out value="${tema.nombreAdmon}"/><br/>
          </c:forEach>
        </c:forEach>   
      </td>      
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td colspan="2">
        <logic:present name="numeroSeccion">
        <c:if test="${numeroSeccion < totalSinTraducir}">
        <html:submit property="accion"><bean:message key="forms.botones.continuar"/></html:submit>
        </c:if>
        </logic:present>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
</html:form>

<p class="small"><bean:message key="frase.camposConAsterisco"/></p>
<p class="small"><bean:message key="frase.camposConDobleAsterisco"/></p>

<br/>