<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<h1>Ayuda</h1>

<p>Bienvenido al manual de usuario de Codetic, una aplicación web
desde la que podrá consultar y realizar distintos tipos de búsqueda
(por palabras, por idioma, por organización...) sobre una base de
datos de códigos éticos para profesionales de la informática.</p>

<h3>Índice</h3>

<div id="manual">
<ul>
<li><html:link action="/ayuda" anchor="principal">Página
principal</html:link></li>
<li><html:link action="/ayuda" anchor="busqueda">Búsqueda de artículos</html:link>
<ul>
<li><html:link action="/ayuda" anchor="resultados">Interpretación de los resultados de las
búsquedas</html:link></li>
<li><html:link action="/ayuda" anchor="articulo">Visualización de un artículo completo</html:link></li>
<li><html:link action="/ayuda" anchor="busqueda-avanzada">Búsqueda avanzada</html:link></li>
</ul>
</li>
<li><html:link action="/ayuda" anchor="asocscods">Asociaciones y códigos</html:link>
<ul>
<li><html:link action="/ayuda" anchor="asociacion">Información de una asociación</html:link></li>
<li><html:link action="/ayuda" anchor="codigo">Visualización de un código ético</html:link></li>
</ul>
</ul>
<br/><br/>

<html:link linkName="principal"><h2>Página principal</h2></html:link>
<p>A continuación se describen las distintas opciones a las que
podemos acceder desde la página principal (Figura&nbsp;<html:link action="/ayuda" anchor="pag-index">1</html:link>):</p>

<html:link linkName="pag-index"></html:link>
<table class="figura">
<caption align="bottom"><strong>Figura 1:</strong> Página
principal de Codetic.</caption>
<tr>
<td>
<html:img page="/img/index.png"/></td>
</tr>
</table>

<ul>
<li><span class="textbf">Cambio de idioma</span>. Cuando nos
conectamos a Codetic, éste detecta automáticamente el idioma del
navegador y muestra la página de bienvenida en dicho idioma. Si el
idioma no es ni el español ni el inglés, entonces la muestra, por
defecto, en inglés. Sin embargo, podemos cambiar el idioma de la
aplicación cuando queramos; desde cualquier página. Para ello,
deberemos hacer clic en alguna de las banderas que se encuentran en
la esquina superior derecha de la página (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-index">1</html:link>).</li>
<li><span class="textbf">Menú de navegación</span>. En la parte
izquierda de la pantalla (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-index">1</html:link>), tenemos un menú que sirve para navegar a
través de la aplicación. Las distintas opciones de este menú son:
<ul>
<li><span class="textbf">Inicio</span>. Esta es la página de
bienvenida de Codetic (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-index">1</html:link>). Desde ella podemos acceder a cualquier
parte de la aplicación web.</li>
<li><span class="textbf"><html:link action="/ayuda" anchor="busqueda">Búsqueda</html:link></span>. Permite realizar
búsquedas de artículos de códigos éticos..</li>
<li><span class="textbf"><html:link action="/ayuda" anchor="asocscods">Asociaciones y Códigos</html:link></span>. Muestra la
lista de asociaciones almacenadas en nuestra base de datos. Podemos
consultar su información, así como sus códigos éticos.</li>
<li><span class="textbf">Propuesta Ecléctica</span>. Contiene la
propuesta ecléctica del código ético que proponemos en este
proyecto, intentando unificar en un único código las virtudes de
los que hemos estudiado y mejorar otros aspectos que consideramos
relevantes.</li>
<li><span class="textbf">Enlaces</span>. Página donde se muestra
una selección de enlaces en Internet relacionados con la ética y
los códigos éticos informáticos. Algunos de estos recursos están
disponibles en español y otros lo están en inglés.</li>
<li><span class="textbf">Contacto</span>. En esta página aparece la
información de contacto de los administradores de la web, por si
desea hacer sugerencias, preguntas o colaborar enviando
traducciones de códigos éticos.</li>
<li><span class="textbf">Ayuda</span>. Contiene este manual de
usuario. En él se documenta la parte pública de la aplicación web
Codetic.</li>
<li><span class="textbf">Login</span>. Página desde la que se
accede a la zona de administración de Codetic, reservada
exclusivamente para los usuarios administradores.</li>
</ul>
</li>
</ul>

<br/>
<html:link linkName="busqueda"><h2>Búsqueda de artículos</h2>
</html:link>

<p>Desde esta página (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-busqueda">2</html:link>) podemos realizar búsquedas de
artículos. Para ello, lo único que tenemos que hacer es introducir
las palabras que deseamos buscar y pulsar el botón «Buscar». Una
vez hecho esto, nos aparecerá una página con los resultados de la
búsqueda.</p>

<html:link linkName="pag-busqueda"></html:link>
<table class="Figura">
<caption align="bottom"><strong>Figura 2:</strong> Página de
búsqueda de artículos.</caption>
<tr>
<td>
<html:img page="/img/busqueda.png"/></td>
</tr>
</table>


<br/>
<html:link linkName="resultados"><h3>Interpretación de los resultados de
las búsquedas</h3></html:link>
<p>Aunque creemos que la página de resultados es fácil de
interpretar, vamos a explicar los elementos que la forman. La
Figura&nbsp;<html:link action="/ayuda" anchor="pag-resultados-elementos">3</html:link> muestra
estos elementos:</p>
<ol>
<li><span class="textbf">Palabras buscadas</span>. Especifica las
palabras que hemos buscado.</li>
<li><span class="textbf">Barra de navegación</span>. Contiene el
rango de resultados, sobre el total, que se están visualizando.
También contiene la navegación de páginas, donde el enlace
«Siguiente» salta a la siguiente página de resultados. En el caso
de que hubiera un enlace «Anterior», éste saltaría a la anterior
página de resultados.</li>
<li><span class="textbf">Resultado</span>. Representa un artículo
encontrado. Está formado, a su vez, por tres partes:
<ol>
<li><span class="textbf">Título del resultado</span>. Consta del
título del código ético del artículo, seguido del nombre del mismo.
Al hacer clic en este enlace, verá el <html:link action="/ayuda" anchor="articulo">artículo completo</html:link>.</li>
<li><span class="textbf">Nombre de la asociación</span>. Es el
nombre de la asociación a la que pertenece el código del
artículo.</li>
<li><span class="textbf">Texto del resultado</span>. Contiene una
parte del texto del artículo encontrado.</li>
</ol>
</li>
</ol>

<html:link linkName="pag-resultados-elementos"></html:link>
<table class="Figura">
<caption align="bottom"><strong>Figura 3:</strong> Elementos de
la página de resultados.</caption>
<tr>
<td>
<html:img page="/img/resultados-elementos.png" alt="Image resultados-elementos"/></td>
</tr>
</table>


<br/>
<html:link linkName="articulo"><h3>Visualización de un artículo completo</h3></html:link>
<p>Al hacer clic en el título de cualquier resultado de la
búsqueda, se accederá al contenido completo del artículo. En la
Figura&nbsp;<html:link action="/ayuda" anchor="pag-ver-articulo">4</html:link> podemos ver un
artículo completo de ejemplo. Como se puede observar, en la parte
derecha de la página se muestra la siguiente información sobre el
código ético al que pertenece el artículo:</p>
<ul>
<li><span class="textbf">Asociación</span>. Nombre de la asociación
a la que pertenece el código ético.</li>
<li><span class="textbf">Aprobación</span>. Año en el que se aprobó
el código ético. Si no se dispone de tal información, entonces
aparecerá la palabra «N/D» (No Disponible) en su lugar.</li>
<li><span class="textbf">Web</span>. Enlace a la página web oficial
del código. En el caso de que apareciese, el significado del texto
«N/D» es el mismo que para la aprobación.</li>
</ul>
<p>Al final del artículo, existe un enlace llamado «Ver el código
ético completo» que, como su propio nombre indica, nos lleva al
código ético completo.</p>

<html:link linkName="pag-ver-articulo"></html:link>
<table class="Figura">
<caption align="bottom"><strong>Figura 4:</strong> Página de
visualización de un artículo completo.</caption>
<tr>
<td>
<html:img page=
"/img/ver-articulo.png" alt="Image ver-articulo"/></td>
</tr>
</table>


<br/>
<html:link linkName="busqueda-avanzada"><h3>Búsqueda avanzada</h3></html:link>

<p>Desde la búsqueda simple (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-busqueda">2</html:link>) podemos acceder a la búsqueda avanzada
(Figura&nbsp;<html:link action="/ayuda" anchor="pag-busqueda-avanzada">5</html:link>) con sólo
hacer clic en el enlace «Búsqueda Avanzada», que se encuentra a la
derecha del botón «Buscar». La búsqueda avanzada permite realizar
consultas personalizadas, más precisas, que ayuden a localizar el
contenido deseado.</p>

<html:link linkName="pag-busqueda-avanzada"></html:link>
<table class="Figura">
<caption align="bottom"><strong>Figura 5:</strong> Página de
búsqueda avanzada de artículos.</caption>
<tr>
<td>
<html:img page=
"/img/busqueda-avanzada.png" alt="Image busqueda-avanzada"/></td>
</tr>
</table>

<html:link linkName="pag-info-temas"></html:link>
<table class="Figura">
<caption align="bottom"><strong>Figura 6:</strong> Página que
contiene las descripciones de todos los temas.</caption>
<tr>
<td>
<html:img page=
"/img/infoTemas.png" alt="Image infoTemas"/></td>
</tr>
</table>

<p>El formulario de búsqueda avanzada consta de los siguientes
elementos:</p>
<ol>
<li><span class="textbf">Especificar texto</span>. Debemos
introducir las palabras deseadas en el campo de texto «Palabras».
En el caso de que hayamos introducido varias palabras,
seleccionarremos de la lista desplegable «Coincidendo» una de las
siguientes opciones:
<ul>
<li><span class="textbf">Cualquier palabra</span>. Devuelve todos
los artículos en los que aparezcan cualquiera de las palabras que
se indiquen. Por ejemplo, la búsqueda de las palabras «dilema
ético» devuelve todos los artículos en los que aparezca la palabra
«dilema», todos los artículos en los que aparezca la palabra
«ético», y todos los artículos en los que aparezcan las dos
palabras.</li>
<li><span class="textbf">Todas las palabras</span>. Devuelve todos
los artículos en los que aparezcan todas la palabras que se
indiquen. Por ejemplo, la búsqueda de las palabras «dilema ético»
devuelve todos los artículos en los que aparezcan la palabra
«dilema» y también la palabra «ético».</li>
<li><span class="textbf">Frase exacta</span>. Devuelve todos los
artículos que contengan la frase introducida (todas las palabras y
en el mismo orden). Por ejemplo, la búsqueda de las palabras
«dilema ético» devuelve todos los artículos en los que aparezca
exactamente la frase «dilema ético».</li>
</ul>
</li>
<li><span class="textbf">Especificar traducciones</span>. Está
formado por una serie de casillas que permiten acotar la búsqueda a
los artículos escritos en un determinado idioma.</li>
<li><span class="textbf">Especificar temas</span>. Permite acotar
la búsqueda a los artículos que traten sobre determinados temas.
Los temas aparecen organizados por grupos. En un principio,
únicamente se muestran los temas del primer grupo. Para mostrar los
temas de todos los grupos deberemos hacer clic en el enlace
«Expandir todos», y para ocultarlos deberemos hacerlo en «Contraer
todos». Si sólo queremos ver los temas de un grupo concreto, basta
con hacer clic en el nombre del propio grupo. Si hacemos clic, de
nuevo, en el nombre del grupo, volveremos a ocultar los temas del
mismo.
<br/>
Además de señalar los temas y/o grupos de temas que queramos,
también deberemos elegir una de las siguientes opciones para el
campo «Coincidiendo»:
<ul>
<li><span class="textbf">Cualquiera</span>. Devuelve todos los
artículos que traten sobre cualquiera de los temas señalados.</li>
<li><span class="textbf">Todos los items seleccionados</span>.
Devuelve todos los artículos que traten sobre todos y cada uno de
los temas señalados.</li>
</ul>

Por último, a la derecha del título «Especificar temas», existe
un icono de ayuda. Si lo pulsamos, veremos una lista con todos los
temas, organizados por grupos (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-info-temas">6</html:link>). Para cada tema, se muestra su
nombre, junto a una descripción y un conjunto de palabras clave que
ayudan a delimitar la problemática abarcada por el tema.

</li>
<li><span class="textbf">Especificar asociaciones</span>. Permite
acotar la búsqueda a los artículos de determinadas asociaciones.
Las asociaciones aparecen organizadas por continentes. En un
principio, sólo aparecen los continentes, estando ocultas todas sus
asociaciones. Para mostrar las asociaciones de todos los
continentes deberemos hacer clic en el enlace «Expandir todos», y
para ocultarlos deberemos hacerlo en «Contraer todos». Si sólo
queremos ver las asociaciones de un continente concreto, basta con
hacer clic en el nombre del propio continente. Si hacemos clic, de
nuevo, en el nombre del continente, volveremos a ocultar las
asociaciones del mismo.</li>
<li><span class="textbf">Otras opciones</span>. Contiene un menú
desplegable con el número de artículos que se mostrarán en cada
página de resultados. Pueden ser intervalos de 10, 25 ó 50
artículos. Debe escoger una de estas tres opciones.</li>
</ol>


<br/>
<html:link linkName="asocscods"><h2>Asociaciones y códigos</h2></html:link>

<p>Esta página muestra una lista con todas las asociaciones
informáticas almacenadas en la base de datos (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-asociaciones-alfabeticamente">7</html:link>). Existen dos
formas de ordenarlas:</p>
<ul>
<li><span class="textbf">Alfabéticamente</span>. Para ello tenemos
que hacer clic en el enlace «Alfabéticamente», que se encuentra
inmediatamente debajo del título de la página. Este es el orden por
defecto en el que aparecen las asociaciones (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-asociaciones-alfabeticamente">7</html:link>).</li>
<li><span class="textbf">Geográficamente</span>. Muestra las
asociaciones organizadas por continentes (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-asociaciones-geograficamente">8</html:link>). Se consigue
haciendo clic en el enlace «Geográficamente», que está situado
debajo del título de la página.</li>
</ul>
<p>Los nombres de las asociaciones enlazan con una página en el que
se muestra toda la información de la asociación, así como todos sus
códigos.</p>


<html:link linkName="pag-asociaciones-alfabeticamente"></html:link>
<table class="Figura">
<caption align="bottom"><strong>Figura 7:</strong> Página que
muestra la lista de asociaciones informáticas.</caption>
<tr>
<td>
<html:img page=
"/img/asociaciones-alfabeticamente.png" alt=
"Image asociaciones-alfabeticamente"/></td>
</tr>
</table>

<html:link linkName="pag-asociaciones-geograficamente"></html:link>
<table class="Figura">
<caption align="bottom"><strong>Figura 8:</strong> Página que
muestra la lista de asociaciones informáticas ordenadas por
continente.</caption>
<tr>
<td>
<html:img page=
"/img/asociaciones-geograficamente.png" alt=
"Image asociaciones-geograficamente"/></td>
</tr>
</table>


<br/>
<html:link linkName="asociacion"><h3>Información de una
asociación</h3></html:link>

<p>A esta página se accede desde la página que muestra todas las
asociaciones, simplemente haciendo clic en cualquiera de los
nombres de las asociaciones. Como ejemplo, mostramos la información
de la ACM (<span class="textit">Association of Computing
Machinery</span>) (Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-info-asociacion">9</html:link>). En ella podemos ver varias
cosas:</p>
<ul>
<li><span class="textbf">Ámbito</span>. Ámbito geográfico al que
pertece la asociación. Por ejemplo, «Internacional», «Continental
(Europa)», etc.</li>
<li><span class="textbf">Creación</span>. Año de creación de la
asociación.</li>
<li><span class="textbf">Web</span>. Sitio web oficial de la
asociación.</li>
</ul>
<p>Además, aparece una descripción de la asociación y, en último
lugar, un cuadro con todos los códigos éticos de la asociación. Al
final de cada código tenemos uno o varios pequeños recuadros
blancos con un código de idioma en su interior, cada uno de los
cuales representa a las distintas traducciones disponibles para ese
código. Los distintos códigos de idiomas que pueden aparecer
son:</p>
<ul>
<li>
<span class="textbf">es</span> para el español.</li>
<li>
<span class="textbf">en</span> para el inglés.</li>
</ul>

<html:link linkName="pag-info-asociacion"></html:link>
<table class="Figura">
<caption align="bottom"><strong>Figura 9:</strong> Página de
información de la asociación ACM.</caption>
<tr>
<td>
<html:img page=
"/img/infoAsociacion.png" alt="Image infoAsociacion"/></td>
</tr>
</table>


<br/>
<html:link linkName="codigo"><h3>Visualización de un código
ético</h3></html:link>

<p>Si hacemos clic en alguna de las traducciones de un código
(Figura&nbsp;<html:link action="/ayuda" anchor="pag-info-asociacion">9</html:link>),
representadas por recuadros blancos, entonces visualizaremos dicha
traducción del código ético. En la Figura&nbsp;<html:link action="/ayuda" anchor=
"pag-ver-codigo">10</html:link> podemos ver el código ético de la
ACM.</p>
<p>Aparte del propio código, existen otros elementos dentro de esta
página:</p>
<ul>
<li><span class="textbf">Recuadro de traducción</span>. Si aparece,
puede especificar el nombre de los autores de la traducción, la
página web oficial de la traducción y/o comentarios de los
traductores.</li>
<li><span class="textbf">Información del código</span>. Muestra la
siguiente información sobre el código ético al que pertenece el
artículo:
<ul>
<li><span class="textbf">Asociación</span>. Nombre de la asociación
a la que pertenece el código ético.</li>
<li><span class="textbf">Aprobación</span>. Año en el que se aprobó
el código ético. Si no se dispone de tal información, entonces
aparecerá la palabra «N/D» (No Disponible) en su lugar.</li>
<li><span class="textbf">Web</span>. Enlace a la página web oficial
del código. En el caso de que apareciese, el significado del texto
«N/D» es el mismo que para la aprobación.</li>
<li><span class="textbf">Otras traducciones</span>. Permite acceder
al resto de traducciones disponibles para dicho código, en el caso
de que éstas existan.</li>
</ul>
</li>
<li><span class="textbf">Índice</span>. Es el índice general de
contenidos del código ético.</li>
</ul>

<html:link linkName="pag-ver-codigo"></html:link>
<table class="Figura">
<caption align="bottom"><strong>Figura 10:</strong> Página con el
código ético en español de la asociación ACM.</caption>
<tr>
<td>
<html:img page=
"/img/verCodigo.png" alt="Image verCodigo"/></td>
</tr>
</table>
<br/><br/>

</div>