<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ page language="java" isErrorPage="true" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ taglib uri="/tags/fmt" prefix="fmt" %>
<%@ page isELIgnored="false"%>

<%-- Determinar el error --%>
<c:choose>
  <c:when test="${not empty pageContext.exception}">
    <c:set var="problemType"><bean:message key="error.JSPException"/></c:set>
    <c:set var="appException" value="${pageContext.exception}"/> 
    <c:set var="causeException" value="${appException.cause}"/>
  </c:when>
  <c:when test="${not empty requestScope['javax.servlet.error.exception']}">
    <c:set var="problemType"><bean:message key="error.ServletException"/></c:set>
    <c:set var="appException" value="${requestScope['javax.servlet.error.exception']}"/> 
    <c:set var="causeException" value="${appException.rootCause}"/>
  </c:when>
  <c:when test="${not empty requestScope['org.apache.struts.action.EXCEPTION']}">
    <c:set var="problemType"><bean:message key="error.StrutsException"/></c:set>
    <c:set var="appException" value="${requestScope['org.apache.struts.action.EXCEPTION']}"/>
    <c:set var="causeException" value="${appException.cause}"/>
  </c:when>
  <c:otherwise>
    <c:set var="problemType"><bean:message key="error.sinIdentificar"/></c:set>
  </c:otherwise>
</c:choose>

<%-- Mostrar los datos del error --%>
<h1 class="tituloError"><bean:message key="error.titulo"/></h1>

<p><bean:message key="error.intro"/></p>

<html:errors/>

<p><span class="tituloError"><bean:message key="error.tipoDeProblema"/></span> <c:out value="${problemType}"/>
</p>

<p><span class="tituloError"><bean:message key="error.detallesDelProblema"/></span>
      <c:if test="${not empty requestScope['javax.servlet.error.message']}">
        <c:out value="${requestScope['javax.servlet.error.message']}"/>
      </c:if>
      <c:if test="${not empty appException}">
        <c:out value="${appException.message}"/>
      </c:if>
</p>

<c:if test="${not empty causeException}">
  <p><span class="tituloError"><bean:message key="error.causa"/></span> <c:out value="${causeException}"/>
  </p>
  <p><span class="tituloError"><bean:message key="error.detallesCausa"/></span> <c:out value="${causeException.message}"/>
  </p>
</c:if>

<%-- Quitar el comentario para ver la pila de excepciones y causas --%>
<%--
<div id="showDetailsLinkDiv">
<p><a href="javascript:showDetails( )"><bean:message key="error.mostrarDetalles"/></a></p>
</div>

<div id="hideDetailsLinkDiv" class="oculto">
<p><a href="javascript:hideDetails( )"><bean:message key="error.ocultarDetalles"/></a></p>
</div>

<div id="stackTraceDiv" class="oculto">
<c:if test="${not empty appException}">
  <h2 class="tituloError"><bean:message key="error.pilaExcepciones"/></h2>
  <p><span class="negrita"><c:out value="${appException}"/></span></p>
  <table class="sinEspacios">
  <c:forEach var="stackItem" items="${appException.stackTrace}">
    <tr><td><c:out value="${stackItem}"/></td></tr>
  </c:forEach>
  </table>
</c:if>

<c:if test="${not empty causeException}">
  <h2 class="tituloError"><bean:message key="error.pilaCausas"/></h2>
  <p><span class="negrita"><c:out value="${causeException}"/></span></p>
  <table class="sinEspacios">
  <c:forEach var="stackItem" items="${causeException.stackTrace}">
    <tr><td><c:out value="${stackItem}"/></td></tr>
  </c:forEach>
  </table>
</c:if>
</div>
      
<script language="javascript">
   function showDetails( ) {
     document.getElementById("showDetailsLinkDiv").style.display = "none";
     document.getElementById("hideDetailsLinkDiv").style.display = "inline";
     document.getElementById("stackTraceDiv").style.display = "inline";
   }
   function hideDetails( ) {
     document.getElementById("showDetailsLinkDiv").style.display = "inline";
     document.getElementById("hideDetailsLinkDiv").style.display = "none";
     document.getElementById("stackTraceDiv").style.display = "none";
   }
</script>
--%>