<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ taglib uri="/tags/t2h" prefix="t2h" %>
<%@ page isELIgnored="false"%>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/asociaciones"><bean:message key="menu.asocsycods"/></html:link>
> ${asociacion.nombre}
</p>
</div>

<h1>${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></h1>

<%-- Datos de la asociación --%>
<table class="infoAsociacion">
  <tr>
    <th><bean:message key="infoAsociacion.ambito"/>
    </th>
    <td>:: 
      <c:if test="${not empty traduccionAsociacion.localizacionGeografica}">
        ${traduccionAsociacion.localizacionGeografica}
      </c:if>
      <c:if test="${empty traduccionAsociacion.localizacionGeografica}">
        <bean:message key="infoAsociacion.noDisponible"/>
      </c:if>
    </td>
  </tr>
  <tr>
    <th><bean:message key="infoAsociacion.creacion"/>
    </th>
    <td>:: 
      <c:if test="${not empty asociacion.anyoCreacion}">
        ${asociacion.anyoCreacion}
      </c:if>
      <c:if test="${empty asociacion.anyoCreacion}">
        <bean:message key="infoAsociacion.noDisponible"/>
      </c:if>
    </td>
  </tr>
  <tr>
    <th><bean:message key="infoAsociacion.web"/>
    </th>
    <td>:: 
      <c:if test="${not empty asociacion.web}">
        <html:link href="${asociacion.web}">${asociacion.web}</html:link>
      </c:if>
      <c:if test="${empty asociacion.web}">
        <bean:message key="infoAsociacion.noDisponible"/>
      </c:if>
    </td>
  </tr>
</table>
<t2h:text2html>${traduccionAsociacion.descripcion}</t2h:text2html>

<%-- Códigos de la asociación --%>
<c:if test="${not empty mapCodigosYTraduccionesCodigos}">
<div id="codigos">
<h3><bean:message key="infoAsociacion.codigos"/></h3>
<ul>
<c:forEach var="entrada" items="${mapCodigosYTraduccionesCodigos}">
<c:set var="codigo" value="${entrada.key}"/>
<c:set var="tradsCodigo" value="${entrada.value}"/>
<c:if test="${not empty codigo.anyoAprobacion}">
  <li><span class="negrita">${codigo.tituloOriginal} (${codigo.anyoAprobacion}): </span>
</c:if>
<c:if test="${empty codigo.anyoAprobacion}">
  <li><span class="negrita">${codigo.tituloOriginal}: </span>
</c:if>
<c:forEach var="tradCodigo" items="${tradsCodigo}">
  <html:link styleClass="traduccion" action="/verCodigo?idCodigo=${tradCodigo.idCodigo}&idIdioma=${tradCodigo.idIdioma}" titleKey="idioma.${tradCodigo.idIdioma}">${tradCodigo.idIdioma}</html:link> 
</c:forEach>
<%-- Web Oficial del Código
<c:if test="${not empty codigo.web}">
  <html:link href="${codigo.web}"><html:img srcKey="img.visitar"/></html:link>
</c:if>
--%>
  </li>
</c:forEach>
</ul>
</div>
</c:if>
     
<br/>