<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<h1>Propuesta Ecléctica</h1>

<p>El presente código ético forma parte del Proyecto Final de Carrera titulado &laquo;Base de Datos Web sobre
Códigos Éticos para Profesionales de la informática y una Propuesta Ecléctica&raquo;, realizado por Miguel
Ángel Serna Mata y dirigido por José Galindo Gómez, de la E.T.S. de Ingeniería informática de la Universidad
de Málaga. Con este texto se ha pretendido establecer una serie de normas generales de conducta profesional
y ética que pretende servir como guía de actuación para los profesionales de la informática.</p>

<p>Este código está creado básicamente a partir de un documento, el Código Deontológico del Colegio Oficial de
Ingeniería en informática de Cataluña, aunque también recoge principios de las normativas deontológicas de 
otras veintisiete asociaciones informáticas, como la ACM (<span class="textit">Association of Computing Machinery</span>), 
el IEEE (<span class="textit">Institute of Electrical and Electronics Engineers</span>), etc. Asimismo se han 
consultado las pautas ambientales de PEO (<span class="textit">Professional Engineers Ontario</span>), contenidas
dentro del documento <span class="textit">Guideline 
of Professional Practice</span> de dicha organización.

<p>Para que el código sea más manejable, las normas de conducta del código han sido divididas en nueve apartados. 
Los títulos de los apartados y su definición serían los siguientes:</p>

<ol>
	<li><html:link action="/propuesta" anchor="sociedad">Profesional o empresa ante la sociedad</html:link>: Obligaciones de las personas físicas o jurídicas que 
	prestan servicios en el área de la informática, cuando su actuación pueda afectar la sociedad en general 
	o a las instituciones que la representan.</li>
	<li><html:link action="/propuesta" anchor="cliente">Profesional o empresa ante el cliente</html:link>: Normas que tienen que guiar el ejercicio profesional de la 
	informática con el fin de garantizar un buen servicio al cliente o usuario.</li>
	<li><html:link action="/propuesta" anchor="empresa">Profesional, trabajador o gestor, ante su empresa</html:link>: Delimita las obligaciones del trabajador hacia su
	empresa, independientemente de las responsabilidades o del lugar que ocupe en su organigrama, al margen de
	les obligaciones que se deriven del contrato laboral.</li>
	<li><html:link action="/propuesta" anchor="compañero">Profesional ante los compañeros de profesión</html:link>: Establece las pautas de comportamiento correcto entre 
	profesionales del sector de la informática.</li>
	<li><html:link action="/propuesta" anchor="responsabilidad">Responsabilidad personal del profesional</html:link>: Esfuerzos de superación personal y mejora que debe hacer 
	todo buen profesional de la informática.</li>
	<li><html:link action="/propuesta" anchor="producto">Profesional ante el producto o servicio</html:link>: Identifica cuál es la actitud correcta que debe tener el 
	profesional de la informática a la hora de prestar un servicio o elaborar un producto, informático en 
	ambos casos.</li>
	<li><html:link action="/propuesta" anchor="empleado">Empresa o gestor ante el profesional empleado</html:link>: Conducta apropiada que tienen que seguir las 
	organizaciones y personas, del sector de la informática, hacia los profesionales que se puedan ver 
	afectados por sus decisiones, aparte de los compromisos laborales.</li>
	<li><html:link action="/propuesta" anchor="empresas">Empresa ante las otras empresas del sector</html:link>: Normas de conducta que las empresas del sector de la 
	informática han de observar para que la necesaria competencia se mantenga dentro de los parámetros 
	correctos de lealtad y respeto mutuo.</li>
	<li><html:link action="/propuesta" anchor="proveedor">Profesional o empresa ante un proveedor</html:link>: Reglas que debe respetar el profesional o empresa del 
	sector de la informática en sus relaciones con sus proveedores.</li>
</ol>
<br/>

<html:link linkName="sociedad"><h2>1. Profesional o empresa ante la sociedad</h2></html:link>

<ol>
<li>Hacer prevalecer los intereses generales por delante de los
intereses particulares.</li>
<li>Velar porque el uso, aplicación y consecuencias de la
aplicación de la informática contribuyan al bienestar de la
sociedad, la humanidad y el medio ambiente.</li>
<li>Promover los principios de reducir, reutilizar y reciclar (ley
de las tres erres) en referencia con la informática.</li>
<li>Dar a conocer a las autoridades públicas los impactos
ambientales y las condiciones que afectan a la seguridad y el
bienestar públicos.</li>
<li>Solicitar un informe de impacto ambiental cuando haya dudas de 
las consecuencias medioambientales del proyecto.</li>
<li>Tener en cuenta los impactos ambientales y la capacidad
sustentable, así como los factores sociales, culturales y
económicos.</li>
<li>Esforzarse por conservar recursos, materiales, energía, etc., y
reducir al mínimo los impactos.</li>
<li>Tener en cuenta el manejo de residuos (material obsoleto o roto 
sin solución), incluso la prevención o reducción de su formación y 
su eliminación final. Por ejemplo: ordenadores viejos, impresoras, 
cartuchos de tinta, etc. Si el material obsoleto funciona debe 
donarse a organismos que le puedan sacar provecho (ONGs...). Se 
debe reutilizar el material fungible (cartuchos de tinta...), 
reciclar lo que se pueda y deshacerse del resto en los llamados 
&laquo;puntos limpios&raquo; o bien a través del distribuidor.</li>
<li>Trabajar con otros profesionales y organismos, incluso con
otras disciplinas para mejorar la comprensión y las políticas
ambientales.</li>
<li>Promover la accesibilidad de la informática por todos los
niveles y estamentos de la sociedad.</li>
<li>Tratar a todo el mundo de manera justa, sin discriminar a nadie
por razones de edad, discapacidad, género, orientación sexual,
religión, raza, nacionalidad, u otros factores.</li>
<li>Promover este código deontológico en la sociedad, y en general,
que se conozcan y respeten los códigos deontológicos que sean de
aplicación o, en su defecto, los principios generales de
éstos.</li>
<li>Informarse, en la medida de sus posibilidades, sobre el
comportamiento deontológico de sus proveedores, clientes y de otros
interlocutores, y priorizar aquellos que cumplan este código o el
que les sea de aplicación.</li>
<li>Velar para que en el entorno de trabajo no se infrinja la
legalidad vigente, en especial, las leyes que afecten al ejercicio
de la profesión, se respeten los derechos humanos y se aplique el
código deontológico que corresponda.</li>
<li>Colaborar en la identificación y conocimiento público de las
buenas y malas prácticas en la informática.</li>
<li>Denunciar públicamente que un producto o servicio puede violar
de modo evidente los derechos humanos, la legislación y/o este
código.</li>
<li>Es un derecho y a la vez un deber guardar el secreto
profesional y la información confidencial de la que se pueda
disponer. Se tendrán que tomar las medidas necesarias para evitar
que pueda ser revelada a terceros no autorizados, ni accidental ni
voluntariamente.</li>
<li>Respetar las leyes de propiedad intelectual (derechos de autor,
patentes, marcas y secretos comerciales). Una persona no debe
atribuirse el mérito del trabajo o ideas de otros, incluso en los
casos en los que no han sido explícitamente protegidos, por
ejemplo, con derechos de autor o patente.</li>
<li>Practicar y fomentar la colaboración profesional, trabajando en
equipo, ayudando y enseñando a los demás a hacer mejor su
trabajo.</li>
<li>Ofrecer una crítica constructiva cuando los resultados no sean
los esperados y expresar la satisfacción por el trabajo bien
hecho.</li>
<li>Considerar con respeto todas las profesiones.</li>
<li>A la hora de ofrecer sus opiniones profesionales, expresarse
con la claridad y lenguaje más apropiado a sus interlocutores.</li>
<li>No ofrecer opiniones profesionales en aquellos temas en los que
no se sienta debidamente cualificado.</li>
<li>Ser objetivo, veraz, preciso e imparcial en las actuaciones y
opiniones profesionales.</li>
<li>Informar de todos los efectos, tanto de los positivos como de
los negativos, que tiene la implantación de un producto o servicio
relacionado con la informática.</li>
</ol>

<html:link linkName="cliente"><h2>2. Profesional o empresa ante el cliente</h2></html:link>

<ol>
<li>Estar al corriente de las leyes relacionadas con la informática
y promover su conocimiento y cumplimiento por parte del
cliente.</li>
<li>Mantener confidencialidad con respecto a la información
extraída de su relación, excepto si es para el mismo cliente, para
uso interno o estadístico, siempre y cuando no se vulneren las
voluntades expresadas por el cliente.</li>
<li>Respetar los derechos de autor de los productos o servicios
residentes en los equipos informáticos del cliente.</li>
<li>Cumplir los compromisos adquiridos con el cliente, de modo
diligente y aplicando las metodologías adecuadas en cada caso.</li>
<li>Hacerse responsable de las propias decisiones y de sus
consecuencias.</li>
<li>No querer vender aquello que el cliente no necesita o no se
adecúa a sus necesidades.</li>
<li>Aconsejar al cliente de modo objetivo sin anteponer intereses
propios.</li>
<li>Informar de la necesidad de formación sobre los servicios o
productos ofrecidos y facilitarla si la empresa cliente lo
solicita.</li>
<li>Actuar desinteresadamente a la hora de valorar y contratar
ofertas en nombre del cliente, pensando en criterios de negocio y
de ética profesional y valorando también la calidad y metodología
de las soluciones ofrecidas.</li>
<li>Ofrecer precios justos por productos o servicios que se
presenten a la empresa cliente.</li>
<li>No excederse de presupuestos ya pactados si no es por causa
justificada.</li>
<li>No infringir castigo o coacción al prestar servicios o
productos presentes o futuros, necesarios para la empresa cliente,
aprovechándose de posiciones dominantes.</li>
<li>Establecer contratos claros, de compra-venta o de prestación de
servicios, que faciliten el entendimiento entre el cliente y el
proveedor.</li>
<li>Ser objetivo y veraz sobre la experiencia profesional de los
miembros del equipo de trabajo ofrecidos al cliente.</li>
<li>Facilitar un entorno de trabajo correcto a los trabajadores de
la empresa cliente, al mismo nivel que los trabajadores de la
propia empresa cuando el cliente se desplace a las instalaciones
del proveedor.</li>
<li>Tener respeto profesional por las opiniones o actitudes
expresadas por los trabajadores de la empresa cliente.</li>
<li>No discriminar a un trabajador o grupo de trabajadores de una
empresa cliente.</li>
<li>Ser objetivo a la hora de evaluar el grado de dedicación de los
empleados de la empresa cliente.</li>
<li>No interponerse de modo desleal en la trayectoria profesional
de los trabajadores de la empresa cliente.</li>
<li>No utilizar recursos con finalidades diferentes a los indicados
por la relación contractual entre proveedor y cliente, por ejemplo,
para fines particulares o de terceros no relacionados con el
cliente.</li>
</ol>



<html:link linkName="empresa"><h2>3. Profesional, trabajador o gestor, ante su empresa</h2></html:link>

<ol>
<li>Velar por el cumplimiento y conocimiento de les leyes
relacionadas con la informática por parte de la empresa.</li>
<li>En el supuesto que la empresa no esté cumpliendo el código
deontológico, denunciarlo.</li>
<li>Denunciar ante la empresa las actividades y prácticas
consideradas no éticas tanto por lo que respecta a la ejecución de
proyectos como en las relaciones interpersonales.</li>
<li>Escuchar y considerar las opiniones de la empresa.</li>
<li>Estar enterado de las directrices y normas de la empresa y
aplicarlas cuando convenga.</li>
<li>A la hora de tomar decisiones organizativas o de proyectos
considerar de modo imparcial todas las alternativas y a todas las
personas teniendo en cuenta también las necesidades de la
empresa.</li>
<li>Hacer prevalecer los intereses legítimos del equipo o de la
empresa ante los intereses personales.</li>
<li>No utilizar recursos con finalidades diferentes a los indicados
legítimamente por la empresa. Por ejemplo, no usar los recursos
para fines particulares o de terceros no relacionados con la
empresa.</li>
<li>Hacer buen uso de los recursos proporcionados por la empresa
para el cumplimiento de las tareas. Denunciar ante la empresa las
carencias de recursos de los compañeros y sugerir mejoras en el uso
de los mismos.</li>
<li>Hacer un buen uso del nombre de la empresa.</li>
<li>No difundir información sensible o confidencial, relativa a la
propia empresa o a los compañeros.</li>
<li>Respetar los derechos de autor. No utilizar trabajo o productos
de terceros sin hacer el debido reconocimiento y obtener, en su
caso, la correspondiente autorización.</li>
<li>Participar en cursos de formación ofrecidos por la empresa que
puedan ser necesarios para el buen desarrollo de la actividad
profesional.</li>
<li>Solicitar a la empresa la necesidad de realizar cursos de
formación, en el caso de que no se hayan previsto, con arreglo a
los proyectos que se desarrollan.</li>
<li>Seguir las directrices y metodologías indicadas por la empresa.
En caso de que no existan, promover su creación y uso.</li>
<li>Tomarse el tiempo justo y necesario en el cumplimiento y
valoración de las tareas asignadas siempre teniendo presente
criterios de calidad.</li>
<li>Documentar el trabajo hecho de la forma que indique la empresa,
utilizando un lenguaje de fácil comprensión.</li>
<li>Responsabilizarse de la calidad del trabajo hecho o gestionado,
alertando de las problemáticas presentes o futuras que se puedan
producir.</li>
<li>Dar siempre la opinión cuando se considere que se pueda ayudar
a la empresa a mejorar su funcionamiento.</li>
<li>Si se dispone o se es conocedor de información lícita y útil
para la empresa, difundirla libremente.</li>
</ol>


<html:link linkName="compañero"><h2>4. Profesional ante su compañero de profesión</h2></html:link>

<ol>
<li>No influir en decisiones o actuaciones de compañeros para que
le beneficien, anteponiéndose al bien común.</li>
<li>Promover y facilitar el buen uso de la informática entre los
compañeros, velando especialmente por el buen aprovechamiento de
recursos.</li>
<li>Evitar el uso de códigos personales o lenguaje que pueda
resultar confuso o incomprensible para los compañeros en todas
aquellas tareas que sean o puedan ser comunes.</li>
<li>No difundir a terceros informaciones falsas o de ámbito no
estrictamente profesional de un compañero que puedan perjudicar su
progreso dentro de su empresa, sea la misma u otra.</li>
<li>Mantener siempre la confidencialidad de las informaciones
personales sobre nuestros compañeros de las que disponemos por
razón del trabajo y/o la convivencia en el trabajo, especialmente
aquellas cuya divulgación pueda comportar un daño a la imagen de la
persona o pueda suponer un freno para su progreso laboral.</li>
<li>No mostrar preferencias o manías con los compañeros,
independientemente de las afinidades personales que pueda
haber.</li>
<li>Actuar con solidaridad profesional. Valorar siempre la labor de
los compañeros, con el debido reconocimiento por la tarea de cada
cual.</li>
<li>Ser objetivo a la hora de opinar sobre un compañero, ya sea
sobre la calidad de su trabajo o la adecuación para una determinada
tarea o responsabilidad, no dejándose influir por condicionantes
económicos, laborales o personales.</li>
<li>No pretender asumir una tarea si somos conscientes de que no
tenemos los conocimientos o habilidades necesarios y más aún si
sabemos que hay un compañero que la puede hacer correctamente.</li>
<li>Trabajar con la máxima profesionalidad y diligencia, evitando
especialmente que la actividad propia pueda afectar negativamente
al trabajo o a la buena imagen de los compañeros.</li>
<li>Cuando un profesional se sienta perjudicado por otro, le
comunicará de forma no ofensiva (asertiva), tratando de evitar
cualquier conflicto o confrontación y con el único objeto de
conseguir el mejor clima de confianza y colaboración.</li>
<li>Facilitar a los compañeros de trabajo el acceso a las
informaciones, metodologías y recursos necesarios para el ejercicio
de su tarea.</li>
<li>Velar para que las condiciones de trabajo de los compañeros,
así como las propias, sean las óptimas, evitando riesgos e
incomodidades.</li>
<li>Promover que los compañeros conozcan y cumplan este
código.</li>
</ol>

<html:link linkName="responsabilidad"><h2>5. Responsabilidad personal del profesional</h2></html:link>

<ol>
<li>No hacer prevalecer intereses personales ante el bien
común.</li>
<li>Formarse adecuadamente a lo largo de toda su carrera
profesional.</li>
<li>Conocer, respetar y cumplir todas las leyes y normas
aplicables.</li>
<li>Utilizar y promover el uso de software legal sea libre o de
propiedad.</li>
<li>Buscar, utilizar y promover el uso de herramientas informáticas
apropiadas.</li>
<li>Utilizar y promover el uso responsable y adecuado de las
herramientas y recursos a los que se tenga alcance.</li>
<li>Trabajar con la máxima profesionalidad y diligencia.</li>
<li>Ser responsable de su trabajo y afrontar con responsabilidad
las consecuencias de sus errores.</li>
<li>Seguir una metodología en el desempeño de su cometido, así como
utilizar los estándares aplicables en cada momento.</li>
<li>Promover la aplicación de criterios de accesibilidad para las
personas con discapacidades tanto en los proyectos desarrollados
como en las instalaciones del puesto de trabajo.</li>
<li>Aplicar y velar por el cumplimiento de las recomendaciones
sobre ergonomía aplicables al puesto de trabajo.</li>
</ol>


<html:link linkName="producto"><h2>6. Profesional o empresa ante el producto o servicio que presta</h2></html:link>

<ol>
<li>Seguir una metodología adecuada para cualquier proyecto en el
que se trabaje o se tenga planeado trabajar.</li>
<li>Valorar el coste del producto o servicio en relación al tiempo
y recursos necesarios para su construcción y/o prestación. No
ofrecer servicios o productos por debajo de este coste.</li>
<li>Ser objetivo a la hora de elegir un producto o servicio. Se
seguirán indicadores conocidos o estándares para ayudar a hacer la
elección.</li>
<li>Expresar la opinión profesional en relación al producto o
servicio sobre todo cuando se detecte que el producto o servicio no
sigue el camino previsto. Expresar la conformidad o no conformidad
en el cumplimiento de los objetivos esperados del producto o
servicio.</li>
<li>Procurar que el servicio o producto sea de la mejor calidad
posible. Ser honesto en el ejercicio del trabajo y dedicar el
tiempo justo y necesario a cada tarea.</li>
<li>Hacer un uso medido de los recursos para la construcción del
producto o prestación del servicio. Procurar optimizar el servicio
usando los mínimos recursos necesarios.</li>
<li>Informar de modo periódico y cuando así se solicite del estado
del servicio o producto, describiendo tanto los factores favorables
como desfavorables.</li>
<li>En el diseño del producto o servicio primará diseñar la
solución que pueda dar más ventajas en el presente y futuro.</li>
<li>Los productos se tienen que diseñar pensando en criterios de
ergonomía y accesibilidad, facilitando al máximo la utilización
para cualquier tipo de usuario.</li>
<li>Proporcionar el material necesario para entender fácilmente el
funcionamiento del producto o servicio. Utilizar un lenguaje de
fácil comprensión, evitando el uso de tecnicismos, siglas o
palabras extranjeras cuando exista una palabra traducida
inteligible.</li>
<li>Promover o proponer la intervención de un tribunal de arbitraje
competente si hubiese conflictos en la prestación del servicio o en
el producto.</li>
<li>No utilizar ilegalmente herramientas de terceras partes en la
construcción del producto o servicio.</li>
<li>Ser conocedor de las consecuencias ante un mal funcionamiento
del producto o servicio y reconocer las equivocaciones en el
supuesto de que se produzcan.</li>
<li>Primar la búsqueda de la solución antes que la búsqueda de los
responsables del problema. Analizar el motivo del problema,
resolverlo y tomar las medidas necesarias para que no se vuelva a
producir.</li>
<li>No atribuirse trabajo ajeno.</li>
<li>No discriminar en la prestación del servicio a clientes o
usuarios por razones diferentes de las estrictamente
profesionales.</li>
<li>No hacer uso de ninguna información confidencial que pueda
perjudicar a personas físicas o jurídicas, ni explotar esta
información para sacar un provecho personal.</li>
</ol>


<html:link linkName="empleado"><h2>7. Empresa o gestor ante el profesional empleado</h2></html:link>

<ol>
<li>Ofrecer unos planes de formación continuada, promoviendo el
desarrollo de una carrera profesional de sus empleados. Estos
planes de formación han de incluir todos los temas básicos para el
desarrollo de su trabajo (leyes aplicables, seguridad, prevención
de riesgos laborales, metodologías, tecnologías y conocimientos
funcionales).</li>
<li>No hacer falsas promesas a los empleados ni generar falsas
expectativas, y mantener la palabra de los diversos acuerdos
verbales y por escrito a los que se puedan llegar.</li>
<li>Mantener una postura proactiva de cara a recolocar a sus
trabajadores una vez acabado un proyecto tanto en buscarles nuevos
proyectos/clientes como en darles con la antelación suficiente el
material y formación que puedan necesitar.</li>
<li>Pagar un sueldo justo en función de las responsabilidades,
capacidad y rendimiento de sus trabajadores.</li>
<li>Mantener la confidencialidad de los datos de sus empleados y
ex-empleados, ofreciendo en todo caso sólo información veraz y lo
más objetiva posible con respecto a las tareas desarrolladas por el
empleado.</li>
<li>Valorar la labor de los empleados de forma imparcial, teniendo
en cuenta las opiniones de los responsables y clientes que hayan
trabajado con ellos, y tenerla en cuenta para la carrera
profesional de sus empleados.</li>
<li>Escuchar y valorar de forma imparcial las opiniones de los
empleados de la empresa.</li>
<li>Tratar a todos los empleados por igual sin discriminación de
ningún tipo (sexo, edad, religión, nacionalidad, raza...).</li>
<li>No discriminar positiva ni negativamente a los empleados
subcontratados con respecto a los empleados internos (formación,
materiales, herramientas, espacio de trabajo, información
accesible, horarios...).</li>
<li>No promover la competitividad desleal entre los empleados.</li>
<li>La asignación de personal a tareas y proyectos se adecuará en
la medida de lo posible a la formación y aptitudes de los
empleados.</li>
<li>A la hora de hacer las estimaciones de las tareas asignadas a
los trabajadores, hacerlo de la forma más objetiva y metodológica
posible, teniendo en cuenta las opiniones y valoraciones de los
implicados y de los expertos en el tema.</li>
<li>Pedir responsabilidades a los empleados en función de las
capacidades, funciones y tareas que tengan asignadas.</li>
<li>No hacer controles abusivos a los empleados más allá de los
necesarios para valorar la calidad y resultados de su trabajo.</li>
<li>No hacer trabajar al trabajador más horas de las estipuladas en
el contrato. En caso de necesidad, las horas extra serán
compensadas tal y como determine el convenio aplicable.</li>
<li>No castigar ni coaccionar a los empleados por ningún motivo.
Por ejemplo, para forzar a incumplir el código, la ley, un contrato
legal, poner en peligro la seguridad de algún empleado o afectar
negativamente la calidad del trabajo de otro compañero.</li>
<li>A la hora de dirigirse y relacionarse con los empleados ha de
utilizar un lenguaje comprensible que facilite la comunicación y
evite los malentendidos.</li>
<li>Dar al empleado toda la información, material, herramientas,
puesto de trabajo y formación necesarias para el buen desarrollo de
su trabajo.</li>
<li>Ofrecer espacio y herramientas de trabajo lo más ergonómicas,
cómodas, seguras y adecuadas al trabajo que pueda conseguir, así
como hacer las adaptaciones necesarias para adecuarlas a los
trabajadores con algún tipo de discapacidad.</li>
<li>Fomentar el buen uso de recursos en el desarrollo del trabajo
de sus empleados.</li>
<li>Ofrecer a los trabajadores en todo momento <span class=
"textit">hardware</span>, <span class="textit">software</span> y
licencias legales, sean libres o de pago, para el desarrollo de su
trabajo.</li>
<li>No apropiarse indebidamente de trabajos hechos por sus
empleados con horas y recursos ajenos a la empresa.</li>
</ol>

<html:link linkName="empresas"><h2>8. Empresa ante las otras empresas del sector</h2></html:link>

<ol>
<li>Actuar con honradez y con espíritu colaborativo y profesional,
en acciones de colaboración de proyectos comunes para un
tercero.</li>
<li>Mantener la confidencialidad de los datos que una empresa pueda
recibir traspasadas de otra, en virtud de una colaboración.</li>
<li>Utilizar un lenguaje comprensible y transparente en relaciones
de colaboración, ya sean contratos, documentación o explicaciones
de palabra, respecto a servicios o productos realizados
conjuntamente.</li>
<li>Promover buenas prácticas de trabajo respecto a la competencia,
siendo imparcial a la hora de valorar las acciones de otros.</li>
<li>En una colaboración con otra empresa, sea bajo el régimen de
subcontratación o sea en proyecto compartido de igual a igual,
mantenerse íntegro en la realización correcta del producto o
servicio, independientemente de posibles circunstancias
adversas.</li>
<li>No descalificar a los competidores, por ejemplo en la fase de
venta de un producto o servicio.</li>
<li>Dar siempre una opinión profesional correcta y respetuosa de la
competencia.</li>
<li>En una colaboración entre empresas, efectiva o posible, no
utilizar la coacción como elemento de negociación, ni como posible
castigo respecto a las personas que participen o puedan participar
en la citada colaboración.</li>
</ol>


<html:link linkName="proceedor"><h2>9. Profesional o empresa ante un proveedor</h2></html:link>

<ol>
<li>No utilizar prácticas abusivas en la negociación de ofertas con
proveedores, tanto en cantidad como en contenido de cláusulas
claramente perjudiciales para los proveedores.</li>
<li>Establecer contratos de compra-venta o de prestación de
servicios claros y completos, que faciliten el entendimiento entre
las partes.</li>
<li>Mantener la confidencialidad respecto a las ofertas que un
proveedor pueda hacer, sin hacer uso de las mismas para presionar o
informar a otros proveedores.</li>
<li>No promover la competitividad desleal entre los
proveedores.</li>
<li>Pactar precios justos por productos o servicios que ofrezca la
empresa proveedora.</li>
<li>Actuar objetivamente a la hora de valorar y contratar ofertas
de empresas proveedoras.</li>
<li>Evaluar las ofertas valorando la calidad, la metodología y el
currículum del equipo ofrecido y de la empresa.</li>
<li>No coaccionar a un proveedor valiéndose de compras de productos
o servicios futuros.</li>
<li>No infringir castigo a una empresa proveedora mientras cumpla
las obligaciones establecidas en el contrato.</li>
<li>Facilitar un entorno de trabajo a los empleados de la empresa
proveedora equiparable al de los empleados de la propia
empresa.</li>
<li>No forzar a hacer horas extra no retribuidas, ni por encima de
los límites establecidos por el convenio, a los trabajadores de una
empresa proveedora.</li>
<li>Facilitar la formación continua de los trabajadores de la
empresa proveedora.</li>
<li>No discriminar a un trabajador sólo por el hecho de pertenecer
a una empresa proveedora.</li>
<li>Poner a disposición de la empresa proveedora todo el material,
<span class="textit">hardware</span>, <span class=
"textit">software</span> y medios necesarios para que la empresa
proveedora pueda cumplir sus obligaciones contractuales.</li>
<li>No interponerse de modo desleal en la trayectoria profesional
de la empresa proveedora, o de sus trabajadores.</li>
<li>Escuchar al proveedor y valorar objetivamente los consejos que
éste pueda ofrecerle.</li>
<li>Tener respeto profesional por las opiniones o actitudes
expresadas por los trabajadores de la empresa proveedora, respeto
al producto o servicio que ofrecen.</li>
<li>Respetar los derechos de autor respecto un producto o servicio
que ha ofrecido o realizado un proveedor.</li>
<li>Ofrecer al proveedor información sobre qué ha gustado y qué no
ha gustado del producto o servicio ofrecido o realizado, incluyendo
los motivos de rechazo en el caso de no aceptarse una oferta.</li>
<li>Hacer un tratamiento metodológico correcto de las relaciones
con proveedores, desde la recepción de la oferta hasta la
valoración final del producto o servicio recibido.</li>
<li>Mantener la confidencialidad y la privacidad de los datos que
se tengan de la empresa proveedora.</li>
</ol>