<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ taglib uri="/tags/fn" prefix="fn" %>
<%@ taglib uri="/tags/pager" prefix="pg" %>
<%@ taglib uri="/tags/t2h" prefix="t2h" %>
<%@ page isELIgnored="false"%>

<%-- Variables --%>
<c:set var="maxLength" value="165"/>
<c:choose>
  <c:when test="${not empty param.resultadosPorPagina}">
    <c:set var="pageSize" value="${param.resultadosPorPagina}"/>
  </c:when> 
  <c:otherwise>
    <%-- Resultados por página (por defecto) --%>
    <c:set var="pageSize" value="${10}"/>
  </c:otherwise>
</c:choose>
<c:set var="totalResultados" value="${fn:length(resultados)}"/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/busqueda"><bean:message key="menu.busqueda"/></html:link>
<c:if test="${param.tipoBusqueda == 'avanzada'}">
> <html:link action="/busqueda/avanzada"><bean:message key="menu.busquedaAvanzada"/></html:link>
</c:if>
> <bean:message key="menu.resultados"/>
</p>
</div>

<h1><bean:message key="resultados.titulo"/></h1>

<p><span class="negritaAzul"><bean:message key="resultados.palabras"/></span> ${param.palabras}</p>

<pg:pager url="/codetic/resultados.do" maxPageItems="${pageSize}"
          index="half-full" export="currentPageNumber=pageNumber"
          items="${totalResultados}">
  
  <pg:param name="tipoBusqueda"/>        
  <pg:param name="resultadosPorPagina"/> 
  <pg:param name="palabras"/>
  <pg:param name="coincidenciaPalabras"/>
  <c:if test="${not empty param.idiomas}">
    <pg:param name="idiomas"/>
  </c:if>
  <c:if test="${not empty param.asociaciones}">
    <pg:param name="asociaciones"/>
  </c:if>
  <c:if test="${not empty param.ambitos}">
    <pg:param name="ambitos"/>
  </c:if>
  <c:if test="${not empty param.temas}">
    <pg:param name="temas"/>
  </c:if>
  <c:if test="${not empty param.gruposDeTemas}">
    <pg:param name="gruposDeTemas"/>
  </c:if>
  <c:set var="pageBegin" value="${((currentPageNumber - 1) * pageSize) + 1}"/>
  <c:choose>
    <c:when test="${(currentPageNumber * pageSize) < totalResultados}">
      <c:set var="pageEnd" value="${currentPageNumber * pageSize}"/>
    </c:when> 
    <c:otherwise>
      <c:set var="pageEnd" value="${totalResultados}"/>
    </c:otherwise>
  </c:choose>
  
  <%-- Navegación superior de la búsqueda --%>
  <table id="navBusqueda" class="bordeSuperior">
    <tr>
      <td>
        <c:if test="${totalResultados > 0}">
          <bean:message key="resultados.numeroDeResultados" arg0="${pageBegin}" arg1="${pageEnd}" arg2="${totalResultados}"/>
        </c:if>
      </td>
      <td class="alignRight">
      <pg:index>
        <pg:prev>
          <a href="${pageUrl}">[<bean:message key="resultados.anterior"/>]</a>
        </pg:prev>
        <pg:pages>
          <c:choose>
            <c:when test="${pageNumber == currentPageNumber}">
              ${pageNumber}
            </c:when>
            <c:otherwise>
              <a href="${pageUrl}">${pageNumber}</a> 
            </c:otherwise>
          </c:choose> 
        </pg:pages>
        <pg:next>
          <a href="${pageUrl}">[<bean:message key="resultados.siguiente"/>]</a>
        </pg:next>
      </pg:index>
      </td>
    </tr>
  </table>
  
  <div id="resultados">
    <c:forEach var="resultado" items="${resultados}">
      <pg:item>
        <h3>
          <html:link action="/verArticulo?idIdioma=${resultado.idIdioma}&idCodigo=${resultado.idCodigo}&nivel=${resultado.nivel}">
            ${resultado.tituloCodigo} :: 
            <c:choose>
              <c:when test="${not empty resultado.tituloSeccion}">
                ${resultado.tituloSeccion}
              </c:when> 
              <c:otherwise>
                ${resultado.seudotituloSeccion}
              </c:otherwise>
            </c:choose>
          </html:link>
        </h3>
        <h4>${resultado.nombreAsociacion} <c:if test="${not empty resultado.siglasAsociacion}">(${resultado.siglasAsociacion})</c:if></h4>
        <c:choose>
           <c:when test="${fn:length(resultado.texto) <= maxLength}">
             <t2h:text2html>${resultado.texto}</t2h:text2html>
           </c:when> 
           <c:otherwise>
             <t2h:text2html>${fn:substring(resultado.texto, 0, maxLength)}...</t2h:text2html>
           </c:otherwise>
         </c:choose>
      </pg:item>
    </c:forEach>
  
    <c:if test="${totalResultados == 0}">
     <p><bean:message key="resultados.ninguno"/></p>
    </c:if>
  </div>
  
  <%-- Navegación inferior de la búsqueda --%>
  <table id="navBusqueda" class="bordeInferior">
    <tr>
      <td>
        <c:if test="${totalResultados > 0}">
          <bean:message key="resultados.numeroDeResultados" arg0="${pageBegin}" arg1="${pageEnd}" arg2="${totalResultados}"/>
        </c:if>
      </td>
      <td class="alignRight">
      <pg:index>
        <pg:prev>
          <a href="${pageUrl}">[<bean:message key="resultados.anterior"/>]</a>
        </pg:prev>
        <pg:pages>
          <c:choose>
            <c:when test="${pageNumber == currentPageNumber}">
              ${pageNumber}
            </c:when>
            <c:otherwise>
              <a href="${pageUrl}">${pageNumber}</a> 
            </c:otherwise>
          </c:choose> 
        </pg:pages>
        <pg:next>
          <a href="${pageUrl}">[<bean:message key="resultados.siguiente"/>]</a>
        </pg:next>
      </pg:index>
      </td>
    </tr>
  </table>
  
</pg:pager>

<br/>